-- MySQL dump 10.9
--
-- Host: localhost    Database: phpby01
-- ------------------------------------------------------
-- Server version	4.1.10a-nt

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

--
-- Table structure for table `dating_accounts`
--

DROP TABLE IF EXISTS `dating_accounts`;
CREATE TABLE `dating_accounts` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `pseudo_id` int(6) unsigned default '0',
  `state` smallint(5) unsigned default NULL,
  `photo` varchar(255) default NULL,
  `creation_date` date default NULL,
  `activation_date` date default NULL,
  `thread_id` int(6) unsigned default NULL,
  `datingfolder_id` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_accounts`
--


/*!40000 ALTER TABLE `dating_accounts` DISABLE KEYS */;
LOCK TABLES `dating_accounts` WRITE;
INSERT INTO `dating_accounts` VALUES (21,63,63,'129269409minsk.jpg','2005-04-17','0000-00-00',86,0),(18,2,63,'111578369anime!!!girl....jpg','2005-04-11','0000-00-00',87,0),(19,17,63,'141229248aga.jpg','2005-04-11','0000-00-00',70,0),(20,3,63,'152560425S2020306.jpg','2005-04-16','0000-00-00',69,0),(22,51,63,'193136597702_0264_RJ.JPG','2005-04-23','0000-00-00',0,157),(23,19,63,'197161866IMG_0523.JPG','2005-04-23','0000-00-00',0,159);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_accounts` ENABLE KEYS */;

--
-- Table structure for table `dating_advanced_badnesses`
--

DROP TABLE IF EXISTS `dating_advanced_badnesses`;
CREATE TABLE `dating_advanced_badnesses` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `dating_accounts_id` int(6) unsigned default '0',
  `dating_criteria_id` int(6) unsigned default '0',
  `lowvalue` int(3) unsigned default '0',
  `highvalue` int(3) unsigned default '0',
  `value` int(3) unsigned default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_advanced_badnesses`
--


/*!40000 ALTER TABLE `dating_advanced_badnesses` DISABLE KEYS */;
LOCK TABLES `dating_advanced_badnesses` WRITE;
INSERT INTO `dating_advanced_badnesses` VALUES (48,21,16,0,0,23),(46,18,7,101,105,20),(45,18,7,0,100,0),(44,18,4,1985,1988,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_advanced_badnesses` ENABLE KEYS */;

--
-- Table structure for table `dating_badnesses`
--

DROP TABLE IF EXISTS `dating_badnesses`;
CREATE TABLE `dating_badnesses` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `dating_accounts_id` int(6) unsigned default '0',
  `dating_criteria_id` int(6) unsigned default '0',
  `dating_cases_id` int(6) unsigned default '0',
  `value` int(1) unsigned default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_badnesses`
--


/*!40000 ALTER TABLE `dating_badnesses` DISABLE KEYS */;
LOCK TABLES `dating_badnesses` WRITE;
INSERT INTO `dating_badnesses` VALUES (2001,21,16,0,0),(1545,19,19,63,0),(1544,19,19,62,0),(1887,18,16,0,0),(1886,18,8,0,0),(1885,18,7,0,21),(1884,18,4,0,20),(1883,18,19,63,40),(1882,18,19,62,0),(1881,18,18,61,0),(1880,18,18,60,0),(1879,18,18,59,9),(1878,18,18,58,9),(1877,18,18,57,9),(1876,18,12,46,0),(1875,18,12,45,0),(1874,18,2,42,0),(1873,18,2,43,0),(1872,18,2,44,0),(1871,18,17,41,10),(1870,18,17,40,5),(1869,18,17,39,0),(1868,18,15,38,0),(1867,18,15,37,0),(1866,18,15,36,0),(1865,18,15,35,5),(1864,18,15,34,10),(1863,18,15,33,10),(1862,18,14,32,0),(1861,18,14,31,0),(1860,18,14,30,0),(1859,18,14,29,0),(1858,18,14,28,0),(1857,18,13,27,0),(1856,18,13,26,0),(1855,18,13,25,0),(1854,18,11,24,0),(1853,18,11,23,0),(1852,18,11,22,0),(1851,18,11,21,0),(1850,18,10,20,0),(1849,18,10,19,0),(1848,18,10,18,0),(1847,18,9,17,0),(1846,18,9,16,0),(1845,18,9,15,0),(1844,18,9,14,0),(1843,18,6,13,20),(1842,18,6,12,20),(1841,18,6,11,0),(1840,18,5,10,20),(1839,18,5,9,20),(1838,18,5,8,0),(1837,18,3,7,5),(1836,18,3,6,0),(1835,18,3,5,0),(1834,18,1,1,0),(1833,18,1,2,10),(1376,20,18,61,3),(1832,18,1,3,10),(1831,18,3,4,0),(1543,19,18,61,0),(1542,19,18,60,0),(1541,19,18,59,0),(1540,19,18,58,0),(1539,19,18,57,0),(1538,19,12,46,3),(1537,19,12,45,2),(1536,19,2,42,5),(1535,19,2,43,5),(1375,20,18,60,4),(1374,20,18,59,5),(1377,20,19,62,2),(1373,20,18,58,3),(1372,20,18,57,4),(1371,20,12,46,0),(1370,20,12,45,0),(1369,20,2,42,0),(1368,20,2,43,0),(1367,20,2,44,0),(1366,20,17,41,0),(1365,20,17,40,0),(1364,20,17,39,0),(1363,20,15,38,0),(1362,20,15,37,0),(1361,20,15,36,0),(1360,20,15,35,0),(1359,20,15,34,0),(1358,20,15,33,0),(1357,20,14,32,0),(1356,20,14,31,0),(1355,20,14,30,0),(1354,20,14,29,0),(1353,20,14,28,0),(1352,20,13,27,0),(1351,20,13,26,0),(1350,20,13,25,0),(1349,20,11,24,0),(1348,20,11,23,0),(1347,20,11,22,0),(1346,20,11,21,0),(1345,20,10,20,0),(1344,20,10,19,0),(1343,20,10,18,0),(1342,20,9,17,0),(1341,20,9,16,0),(1340,20,9,15,0),(1339,20,9,14,0),(1338,20,6,13,0),(1337,20,6,12,0),(1336,20,6,11,0),(1335,20,5,10,0),(1334,20,5,9,0),(1333,20,5,8,0),(1332,20,3,7,0),(1331,20,3,6,0),(1330,20,3,5,0),(1329,20,1,1,0),(1328,20,1,2,0),(1327,20,1,3,0),(1326,20,3,4,0),(1534,19,2,44,4),(1533,19,17,41,6),(1532,19,17,40,3),(1531,19,17,39,2),(1530,19,15,38,6),(1529,19,15,37,4),(1528,19,15,36,5),(1527,19,15,35,3),(1526,19,15,34,3),(1525,19,15,33,2),(1524,19,14,32,5),(1523,19,14,31,3),(1522,19,14,30,6),(1521,19,14,29,4),(1520,19,14,28,3),(1519,19,13,27,2),(1518,19,13,26,3),(1517,19,13,25,5),(1516,19,11,24,5),(1515,19,11,23,4),(1514,19,11,22,3),(1513,19,11,21,53),(1512,19,10,20,2),(1511,19,10,19,3),(1510,19,10,18,4),(1509,19,9,17,6),(1508,19,9,16,4),(1507,19,9,15,3),(1506,19,9,14,2),(1505,19,6,13,3),(1504,19,6,12,4),(1503,19,6,11,6),(1502,19,5,10,4),(1501,19,5,9,3),(1500,19,5,8,2),(1499,19,3,7,5),(1498,19,3,6,4),(1497,19,3,5,3),(1496,19,1,1,3),(1495,19,1,2,3),(1494,19,1,3,3),(1493,19,3,4,2),(1378,20,19,63,0),(1379,20,4,0,0),(1380,20,7,0,0),(1381,20,8,0,0),(1382,20,16,0,0),(2000,21,8,0,0),(1999,21,7,0,0),(1998,21,4,0,0),(1997,21,19,63,0),(1996,21,19,62,0),(1995,21,18,61,0),(1994,21,18,60,0),(1993,21,18,59,0),(1992,21,18,58,0),(1991,21,18,57,0),(1990,21,12,46,0),(1989,21,12,45,0),(1988,21,2,42,0),(1987,21,2,43,0),(1986,21,2,44,0),(1985,21,17,41,0),(1984,21,17,40,0),(1983,21,17,39,0),(1982,21,15,38,0),(1981,21,15,37,0),(1980,21,15,36,0),(1979,21,15,35,0),(1978,21,15,34,0),(1977,21,15,33,0),(1976,21,14,32,0),(1975,21,14,31,0),(1974,21,14,30,0),(1973,21,14,29,0),(1972,21,14,28,0),(1971,21,13,27,0),(1970,21,13,26,0),(1969,21,13,25,0),(1968,21,11,24,0),(1967,21,11,23,0),(1966,21,11,22,0),(1965,21,11,21,0),(1964,21,10,20,0),(1963,21,10,19,0),(1962,21,10,18,0),(1961,21,9,17,0),(1960,21,9,16,0),(1959,21,9,15,0),(1958,21,9,14,0),(1957,21,6,13,0),(1956,21,6,12,0),(1955,21,6,11,0),(1954,21,5,10,0),(1953,21,5,9,0),(1952,21,5,8,0),(1951,21,3,7,0),(1950,21,3,6,0),(1949,21,3,5,0),(1948,21,1,1,27),(1947,21,1,2,23),(1946,21,1,3,0),(1945,21,3,4,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_badnesses` ENABLE KEYS */;

--
-- Table structure for table `dating_cases`
--

DROP TABLE IF EXISTS `dating_cases`;
CREATE TABLE `dating_cases` (
  `id` int(6) unsigned NOT NULL default '0',
  `dating_criteria_id` int(6) unsigned default NULL,
  `name` varchar(255) default NULL,
  `parent_case_id` int(6) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_cases`
--


/*!40000 ALTER TABLE `dating_cases` DISABLE KEYS */;
LOCK TABLES `dating_cases` WRITE;
INSERT INTO `dating_cases` VALUES (4,3,'No',4),(3,1,'Other',3),(2,1,'Male',2),(1,1,'Female',1),(5,3,'A little but I can stop',5),(6,3,'A little',6),(7,3,'Yes',7),(8,5,'Single',8),(9,5,'Married',9),(10,5,'Divorced',10),(11,6,'0',11),(12,6,'1',12),(13,6,'More',13),(14,9,'Green',14),(15,9,'Gray',15),(16,9,'Black',16),(17,9,'Blue',17),(18,10,'Blond/blonde',18),(19,10,'Brunet/brunette',19),(20,10,'etc',20),(21,11,'Short',21),(22,11,'Long',22),(23,11,'Middle',23),(24,11,'etc',24),(25,13,'ethnicity_1',25),(26,13,'ethnicity_2',26),(27,13,'ethnicity_3',27),(28,14,'Orthodoxy',28),(29,14,'Catholicism',29),(30,14,'Buddhism',30),(31,14,'Islam',31),(32,14,'etc',32),(33,15,'No education',33),(34,15,'Junior school',34),(35,15,'High school',35),(36,15,'College',36),(37,15,'high',37),(38,15,'incomplete high',38),(39,17,'No',39),(40,17,'A little',40),(41,17,'Yes',41),(44,2,'No',44),(43,2,'Sometimes',43),(42,2,'Yes',42),(45,12,'ROOT_1',45),(46,12,'ROOT_2',46),(47,12,'child_2_1',46),(48,12,'child_2_2',46),(49,12,'child_2_3',46),(50,12,'child_2_2_1',48),(51,12,'child_1_1',45),(52,13,'ETHNICITY!',26),(53,13,'ETH1',52),(54,13,'ETH2',53),(55,13,'Eth3',54),(56,13,'eth33',55),(57,18,'Holidays',57),(58,18,'Correspondence',58),(59,18,'Short relationship',59),(60,18,'Long relationship',60),(61,18,'Marriage',61),(62,19,'Yes',62),(63,19,'No',63);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_cases` ENABLE KEYS */;

--
-- Table structure for table `dating_conv_qual_badnesses`
--

DROP TABLE IF EXISTS `dating_conv_qual_badnesses`;
CREATE TABLE `dating_conv_qual_badnesses` (
  `dating_accounts_id` int(6) unsigned default '0',
  `case1` tinyint(3) unsigned default '0',
  `case2` tinyint(3) unsigned default '0',
  `case3` tinyint(3) unsigned default '0',
  `case4` tinyint(3) unsigned default '0',
  `case5` tinyint(3) unsigned default '0',
  `case6` tinyint(3) unsigned default '0',
  `willingness` tinyint(3) unsigned default '0',
  UNIQUE KEY `dating_accounts_id` (`dating_accounts_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_conv_qual_badnesses`
--


/*!40000 ALTER TABLE `dating_conv_qual_badnesses` DISABLE KEYS */;
LOCK TABLES `dating_conv_qual_badnesses` WRITE;
INSERT INTO `dating_conv_qual_badnesses` VALUES (18,20,20,10,3,0,0,1),(20,0,0,0,0,0,0,1),(19,6,5,4,3,2,1,1),(21,0,44,55,0,0,0,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_conv_qual_badnesses` ENABLE KEYS */;

--
-- Table structure for table `dating_criteria`
--

DROP TABLE IF EXISTS `dating_criteria`;
CREATE TABLE `dating_criteria` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `cases_count` int(1) default '0',
  `nochoice` enum('Y','N') NOT NULL default 'N',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_criteria`
--


/*!40000 ALTER TABLE `dating_criteria` DISABLE KEYS */;
LOCK TABLES `dating_criteria` WRITE;
INSERT INTO `dating_criteria` VALUES (1,'Gender',0,'N'),(3,'Drinking habits',0,'N'),(4,'Birth year',-1,'N'),(6,'Children already in charge',0,'N'),(7,'Height',-1,'N'),(9,'Eyes color',0,'N'),(10,'Hair color',0,'N'),(11,'Hair style',0,'N'),(14,'Religion or creed',0,'N'),(18,'Type of relationship',0,'Y'),(19,'Want children',0,'Y'),(8,'Weight',-1,'N'),(12,'Natinality',0,'N'),(2,'Smoking habits',0,'N'),(16,'Income',-1,'N'),(15,'Education',0,'N'),(13,'Ethnicity',0,'N'),(5,'Marutal status',0,'N'),(17,'Handicap',0,'N');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_criteria` ENABLE KEYS */;

--
-- Table structure for table `dating_folderssettings`
--

DROP TABLE IF EXISTS `dating_folderssettings`;
CREATE TABLE `dating_folderssettings` (
  `account_id` int(6) NOT NULL auto_increment,
  `uh` smallint(3) unsigned default '2',
  `uw` smallint(3) unsigned default '5',
  `u_sp` enum('N','Y') NOT NULL default 'Y',
  `th` smallint(3) unsigned default '2',
  `tw` smallint(3) unsigned default '5',
  `t_sp` enum('N','Y') NOT NULL default 'Y',
  `dh` smallint(3) unsigned default '2',
  `dw` smallint(3) unsigned default '5',
  `d_sp` enum('N','Y') NOT NULL default 'Y',
  `sh` smallint(3) unsigned default '2',
  `sw` smallint(3) unsigned default '5',
  `s_sp` enum('N','Y') NOT NULL default 'Y',
  `sph` smallint(3) unsigned default '2',
  `spw` smallint(3) unsigned default '5',
  `sp_sp` enum('N','Y') NOT NULL default 'Y',
  `languages` enum('Y','N') NOT NULL default 'Y',
  `badness` enum('Y','N') NOT NULL default 'Y',
  `bin_parameters` int(10) unsigned NOT NULL default '0',
  `dfe` enum('Y','N') NOT NULL default 'Y',
  `dfs` enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_folderssettings`
--


/*!40000 ALTER TABLE `dating_folderssettings` DISABLE KEYS */;
LOCK TABLES `dating_folderssettings` WRITE;
INSERT INTO `dating_folderssettings` VALUES (18,5,2,'Y',2,33,'Y',2,5,'N',2,5,'Y',2,5,'Y','Y','Y',65295,'Y','Y'),(20,2,5,'Y',2,5,'Y',2,5,'Y',2,1,'Y',2,5,'Y','N','Y',8456,'Y','Y'),(19,2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y','Y','Y',0,'Y','Y'),(22,2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y','Y','Y',0,'Y','N'),(21,2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y','Y','Y',0,'Y','Y'),(23,2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y',2,5,'Y','Y','Y',0,'Y','Y');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_folderssettings` ENABLE KEYS */;

--
-- Table structure for table `dating_income_level_badnesses`
--

DROP TABLE IF EXISTS `dating_income_level_badnesses`;
CREATE TABLE `dating_income_level_badnesses` (
  `dating_accounts_id` int(6) unsigned NOT NULL auto_increment,
  `case1` tinyint(3) unsigned default NULL,
  `case2` tinyint(3) unsigned default NULL,
  `case3` tinyint(3) unsigned default NULL,
  PRIMARY KEY  (`dating_accounts_id`),
  UNIQUE KEY `dating_accounts_id` (`dating_accounts_id`),
  KEY `dating_accounts_id_2` (`dating_accounts_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_income_level_badnesses`
--


/*!40000 ALTER TABLE `dating_income_level_badnesses` DISABLE KEYS */;
LOCK TABLES `dating_income_level_badnesses` WRITE;
INSERT INTO `dating_income_level_badnesses` VALUES (18,0,5,10),(20,0,10,10),(19,0,5,5);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_income_level_badnesses` ENABLE KEYS */;

--
-- Table structure for table `dating_infos`
--

DROP TABLE IF EXISTS `dating_infos`;
CREATE TABLE `dating_infos` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `dating_criteria_id` int(6) unsigned default '0',
  `dating_cases_id` int(6) unsigned default '0',
  `dating_accounts_id` int(6) unsigned default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_infos`
--


/*!40000 ALTER TABLE `dating_infos` DISABLE KEYS */;
LOCK TABLES `dating_infos` WRITE;
INSERT INTO `dating_infos` VALUES (579,19,62,18),(578,18,61,18),(577,17,39,18),(576,16,0,18),(575,15,38,18),(574,14,28,18),(573,13,26,18),(572,12,45,18),(571,11,23,18),(570,10,20,18),(569,9,14,18),(568,8,40,18),(567,7,111,18),(566,6,11,18),(565,5,8,18),(564,4,1987,18),(426,18,58,20),(563,3,5,18),(425,17,40,20),(424,16,6,20),(423,15,36,20),(422,14,31,20),(421,13,27,20),(420,12,45,20),(419,11,22,20),(418,10,20,20),(417,9,14,20),(416,8,4,20),(415,7,3,20),(414,6,11,20),(413,5,9,20),(412,4,2,20),(411,3,5,20),(410,2,43,20),(562,2,42,18),(409,1,2,20),(463,17,40,19),(462,16,223,19),(461,15,35,19),(460,14,31,19),(459,13,26,19),(458,12,45,19),(457,11,23,19),(456,10,19,19),(455,9,15,19),(454,8,44,19),(453,7,33,19),(452,6,12,19),(451,5,9,19),(450,4,1983,19),(449,3,5,19),(448,2,42,19),(427,19,63,20),(447,1,2,19),(561,1,2,18),(464,18,57,19),(465,19,63,19),(617,19,62,21),(616,18,61,21),(615,17,0,21),(614,16,0,21),(613,15,35,21),(612,14,0,21),(611,13,0,21),(610,12,0,21),(609,11,0,21),(608,10,0,21),(607,9,0,21),(606,8,0,21),(605,7,0,21),(604,6,0,21),(603,5,0,21),(602,4,0,21),(601,3,0,21),(600,2,43,21),(599,1,1,21);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_infos` ENABLE KEYS */;

--
-- Table structure for table `dating_langinfos`
--

DROP TABLE IF EXISTS `dating_langinfos`;
CREATE TABLE `dating_langinfos` (
  `dating_lang_id` int(6) unsigned default '0',
  `quality` smallint(1) unsigned default '0',
  `dating_accounts_id` int(6) unsigned default '0',
  KEY `dating_accounts_id` (`dating_accounts_id`),
  KEY `dating_lang_id` (`dating_lang_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_langinfos`
--


/*!40000 ALTER TABLE `dating_langinfos` DISABLE KEYS */;
LOCK TABLES `dating_langinfos` WRITE;
INSERT INTO `dating_langinfos` VALUES (4,1,18),(3,1,18),(2,4,18),(1,6,18),(1,1,20),(2,6,20),(3,1,20),(4,1,20),(1,1,19),(2,4,19),(3,6,19),(4,1,19),(4,6,21),(3,1,21),(2,3,21),(1,1,21);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_langinfos` ENABLE KEYS */;

--
-- Table structure for table `dating_languages`
--

DROP TABLE IF EXISTS `dating_languages`;
CREATE TABLE `dating_languages` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_languages`
--


/*!40000 ALTER TABLE `dating_languages` DISABLE KEYS */;
LOCK TABLES `dating_languages` WRITE;
INSERT INTO `dating_languages` VALUES (1,'Russian language'),(2,'English language'),(3,'French language'),(4,'German language');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_languages` ENABLE KEYS */;

--
-- Table structure for table `dating_languages_cases`
--

DROP TABLE IF EXISTS `dating_languages_cases`;
CREATE TABLE `dating_languages_cases` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `lang_zone_id` int(6) unsigned default '0',
  `quality` int(1) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_languages_cases`
--


/*!40000 ALTER TABLE `dating_languages_cases` DISABLE KEYS */;
LOCK TABLES `dating_languages_cases` WRITE;
INSERT INTO `dating_languages_cases` VALUES (1,'Not speaking',1,1),(2,'Something',1,2),(3,'A little',1,3),(4,'Manage well',1,4),(5,'Good',1,5),(6,'Very good / native',1,6),(7,'???',2,1),(8,'?????',2,2),(9,'???????',2,3),(10,'???????? ??????',2,4),(11,'??????',2,5),(12,'????? ?????? / ?????? ????',2,6);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_languages_cases` ENABLE KEYS */;

--
-- Table structure for table `dating_matches`
--

DROP TABLE IF EXISTS `dating_matches`;
CREATE TABLE `dating_matches` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `date` date NOT NULL default '0000-00-00',
  `account_id1` int(6) unsigned default '0',
  `account_id2` int(6) unsigned default '0',
  `status1` enum('B','N','U','T','D','S','SP') default NULL,
  `status2` enum('B','N','U','T','D','S','SP') default NULL,
  `badness_value` smallint(1) unsigned default NULL,
  `language_id` int(6) unsigned NOT NULL default '0',
  `forum_id` int(6) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_matches`
--


/*!40000 ALTER TABLE `dating_matches` DISABLE KEYS */;
LOCK TABLES `dating_matches` WRITE;
INSERT INTO `dating_matches` VALUES (1,'0000-00-00',18,20,'SP','S',3,2,38),(2,'2005-04-17',18,19,'S','T',0,1,39),(16,'2005-04-17',20,19,'S','SP',0,1,40),(4,'2005-04-17',19,18,'T','S',0,1,39),(17,'2005-04-17',19,20,'SP','S',0,1,40),(6,'2005-04-17',20,18,'S','SP',0,1,38),(18,'2005-04-23',21,18,'U','N',0,1,0),(19,'2005-04-23',22,18,'S','S',0,1,43),(20,'2005-04-23',18,22,'S','S',0,1,43),(21,'2005-04-23',21,19,'U','N',0,1,0),(22,'2005-04-23',22,19,'S','SP',0,1,46),(23,'2005-04-23',19,22,'SP','S',0,1,46),(24,'2005-04-23',21,20,'U','N',0,1,0),(25,'2005-04-23',22,20,'S','S',0,1,49),(26,'2005-04-23',20,22,'S','S',0,1,49),(27,'2005-04-23',18,21,'U','N',0,1,0),(28,'2005-04-23',19,21,'U','N',0,1,0),(29,'2005-04-23',20,21,'U','N',0,1,0),(30,'2005-04-23',22,21,'S','SP',0,1,57),(31,'2005-04-23',21,22,'SP','S',0,1,57),(32,'2005-04-23',21,23,'U','N',0,1,0),(33,'2005-04-23',18,23,'U','N',0,1,0),(34,'2005-04-23',19,23,'U','N',0,1,0),(35,'2005-04-23',20,23,'U','N',0,1,0),(36,'2005-04-23',22,23,'SP','SP',0,1,58),(37,'2005-04-23',23,22,'SP','SP',0,1,58);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_matches` ENABLE KEYS */;

--
-- Table structure for table `dating_mplaces`
--

DROP TABLE IF EXISTS `dating_mplaces`;
CREATE TABLE `dating_mplaces` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `parent_id` int(6) unsigned default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_mplaces`
--


/*!40000 ALTER TABLE `dating_mplaces` DISABLE KEYS */;
LOCK TABLES `dating_mplaces` WRITE;
INSERT INTO `dating_mplaces` VALUES (1,'europe',1),(2,'africa',2),(3,'asia',3),(4,'south america',4),(5,'north america',5),(6,'usa',5),(7,'canada',5),(8,'argentine',4),(9,'russia',1),(10,'india',3),(11,'northern',2),(12,'southern',2),(13,'china',3),(14,'south_pole',14),(15,'east russia',9),(16,'west russia',9),(17,'south-east russia',15),(18,'north-east russia',15),(19,'middle-east russia',15),(20,'southern africa - I',12),(21,'southern africa - II',12),(22,'southpole1',14),(23,'southpole11',22);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_mplaces` ENABLE KEYS */;

--
-- Table structure for table `dating_mplacesinfos`
--

DROP TABLE IF EXISTS `dating_mplacesinfos`;
CREATE TABLE `dating_mplacesinfos` (
  `dating_accounts_id` int(6) default NULL,
  `dating_mplace_id` int(6) unsigned default NULL,
  `income` tinyint(3) unsigned default NULL,
  `badness` tinyint(3) unsigned default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_mplacesinfos`
--


/*!40000 ALTER TABLE `dating_mplacesinfos` DISABLE KEYS */;
LOCK TABLES `dating_mplacesinfos` WRITE;
INSERT INTO `dating_mplacesinfos` VALUES (18,23,2,0),(18,22,2,0),(18,14,3,99),(18,7,1,27),(18,6,2,0),(18,5,2,30),(18,8,2,0),(18,4,3,99),(20,16,2,0),(20,19,2,0),(20,18,2,0),(20,17,2,0),(20,15,2,0),(20,9,2,0),(20,1,3,40),(19,1,2,30),(19,2,2,30),(19,3,2,30),(19,8,1,0),(19,5,2,30),(19,14,2,30),(18,13,2,0),(18,10,2,0),(18,3,3,99),(18,21,1,15),(18,20,1,0),(18,12,2,0),(18,11,3,99),(18,2,2,0),(18,16,2,0),(18,19,2,0),(18,18,2,0),(18,17,2,0),(18,15,2,0),(18,9,2,0),(18,1,1,0),(21,1,2,0),(21,2,2,0),(21,3,2,0),(21,4,2,0),(21,5,2,0),(21,14,2,0),(20,2,3,40),(20,11,2,0),(20,12,2,0),(20,20,2,0),(20,21,2,0),(20,3,2,0),(20,10,1,0),(20,13,1,0),(20,4,3,40),(20,8,2,0),(20,5,3,40),(20,6,2,0),(20,7,2,0),(20,14,3,40),(20,22,2,0),(20,23,2,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_mplacesinfos` ENABLE KEYS */;

--
-- Table structure for table `dating_multilang_infos`
--

DROP TABLE IF EXISTS `dating_multilang_infos`;
CREATE TABLE `dating_multilang_infos` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `lang_zone_id` int(6) unsigned default '0',
  `key_id` int(6) unsigned default '0',
  `fromwhich` enum('Cr','Ca') NOT NULL default 'Cr',
  `name` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_multilang_infos`
--


/*!40000 ALTER TABLE `dating_multilang_infos` DISABLE KEYS */;
LOCK TABLES `dating_multilang_infos` WRITE;
INSERT INTO `dating_multilang_infos` VALUES (5,2,48,'Ca','???_2_2'),(1,2,1,'Cr','???'),(2,2,34,'Ca','??????? ?????'),(3,2,37,'Ca','??????');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_multilang_infos` ENABLE KEYS */;

--
-- Table structure for table `dating_multilang_languages`
--

DROP TABLE IF EXISTS `dating_multilang_languages`;
CREATE TABLE `dating_multilang_languages` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `language_id` int(6) unsigned default '0',
  `lang_zone_id` int(6) unsigned default '0',
  `name` text,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_multilang_languages`
--


/*!40000 ALTER TABLE `dating_multilang_languages` DISABLE KEYS */;
LOCK TABLES `dating_multilang_languages` WRITE;
INSERT INTO `dating_multilang_languages` VALUES (1,1,2,'??????? ????'),(2,3,2,'??????????? ????'),(3,2,2,'??????????');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_multilang_languages` ENABLE KEYS */;

--
-- Table structure for table `dating_multilang_mplaces`
--

DROP TABLE IF EXISTS `dating_multilang_mplaces`;
CREATE TABLE `dating_multilang_mplaces` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `mplace_id` int(6) unsigned default NULL,
  `lang_zone_id` int(6) unsigned default NULL,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_multilang_mplaces`
--


/*!40000 ALTER TABLE `dating_multilang_mplaces` DISABLE KEYS */;
LOCK TABLES `dating_multilang_mplaces` WRITE;
INSERT INTO `dating_multilang_mplaces` VALUES (1,2,2,'??????'),(2,8,2,'?????????');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_multilang_mplaces` ENABLE KEYS */;

--
-- Table structure for table `dating_statusespriorities`
--

DROP TABLE IF EXISTS `dating_statusespriorities`;
CREATE TABLE `dating_statusespriorities` (
  `status` enum('N','U','T','D','S','SP') NOT NULL default 'N',
  `priority` int(3) unsigned default '0',
  UNIQUE KEY `status` (`status`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dating_statusespriorities`
--


/*!40000 ALTER TABLE `dating_statusespriorities` DISABLE KEYS */;
LOCK TABLES `dating_statusespriorities` WRITE;
INSERT INTO `dating_statusespriorities` VALUES ('N',6),('U',3),('T',5),('D',4),('S',2),('SP',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dating_statusespriorities` ENABLE KEYS */;

--
-- Table structure for table `forums_accesses`
--

DROP TABLE IF EXISTS `forums_accesses`;
CREATE TABLE `forums_accesses` (
  `pseudo_id` int(6) default NULL,
  `pseudo_who_invited` int(6) default NULL,
  `forum_id` int(6) default NULL,
  `rights` enum('r','w','a') default NULL,
  `create_date` date default NULL,
  `view_inv` enum('Y','N') default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_accesses`
--


/*!40000 ALTER TABLE `forums_accesses` DISABLE KEYS */;
LOCK TABLES `forums_accesses` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_accesses` ENABLE KEYS */;

--
-- Table structure for table `forums_blacklist`
--

DROP TABLE IF EXISTS `forums_blacklist`;
CREATE TABLE `forums_blacklist` (
  `forum_id` int(6) default NULL,
  `pseudo_id` int(6) default NULL,
  `denyto` enum('r','w') default NULL,
  `create_date` date default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_blacklist`
--


/*!40000 ALTER TABLE `forums_blacklist` DISABLE KEYS */;
LOCK TABLES `forums_blacklist` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_blacklist` ENABLE KEYS */;

--
-- Table structure for table `forums_charset_table`
--

DROP TABLE IF EXISTS `forums_charset_table`;
CREATE TABLE `forums_charset_table` (
  `id` int(6) NOT NULL auto_increment,
  `charset` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_charset_table`
--


/*!40000 ALTER TABLE `forums_charset_table` DISABLE KEYS */;
LOCK TABLES `forums_charset_table` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_charset_table` ENABLE KEYS */;

--
-- Table structure for table `forums_contacts`
--

DROP TABLE IF EXISTS `forums_contacts`;
CREATE TABLE `forums_contacts` (
  `user_id` int(6) default NULL,
  `pseudo_id` int(6) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_contacts`
--


/*!40000 ALTER TABLE `forums_contacts` DISABLE KEYS */;
LOCK TABLES `forums_contacts` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_contacts` ENABLE KEYS */;

--
-- Table structure for table `forums_customnames`
--

DROP TABLE IF EXISTS `forums_customnames`;
CREATE TABLE `forums_customnames` (
  `forum_id` int(6) default '0',
  `user_id` int(6) default '0',
  `customname` varchar(255) default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_customnames`
--


/*!40000 ALTER TABLE `forums_customnames` DISABLE KEYS */;
LOCK TABLES `forums_customnames` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_customnames` ENABLE KEYS */;

--
-- Table structure for table `forums_folders`
--

DROP TABLE IF EXISTS `forums_folders`;
CREATE TABLE `forums_folders` (
  `id` int(6) NOT NULL auto_increment,
  `user_id` int(6) default NULL,
  `parent_id` int(6) default NULL,
  `name` varchar(255) default NULL,
  `boxtype` enum('MB','PF','child') default NULL,
  `deletable` enum('Y','N') NOT NULL default 'Y',
  `visible` enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_folders`
--


/*!40000 ALTER TABLE `forums_folders` DISABLE KEYS */;
LOCK TABLES `forums_folders` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_folders` ENABLE KEYS */;

--
-- Table structure for table `forums_forums`
--

DROP TABLE IF EXISTS `forums_forums`;
CREATE TABLE `forums_forums` (
  `id` int(6) NOT NULL auto_increment,
  `pseudo_id` int(6) default NULL,
  `name` varchar(255) default NULL,
  `pub` enum('Y','N') default NULL,
  `comment` varchar(50) default NULL,
  `comment2` mediumtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_forums`
--


/*!40000 ALTER TABLE `forums_forums` DISABLE KEYS */;
LOCK TABLES `forums_forums` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_forums` ENABLE KEYS */;

--
-- Table structure for table `forums_forums2folders`
--

DROP TABLE IF EXISTS `forums_forums2folders`;
CREATE TABLE `forums_forums2folders` (
  `forum_id` int(6) default NULL,
  `folder_id` int(6) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_forums2folders`
--


/*!40000 ALTER TABLE `forums_forums2folders` DISABLE KEYS */;
LOCK TABLES `forums_forums2folders` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_forums2folders` ENABLE KEYS */;

--
-- Table structure for table `forums_invited`
--

DROP TABLE IF EXISTS `forums_invited`;
CREATE TABLE `forums_invited` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo_id` int(11) default NULL,
  `secretkey` varchar(128) default NULL,
  `forum_id` int(11) default '0',
  `pseudo_parent_id` int(11) default '0',
  `create_date` date default '0000-00-00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_invited`
--


/*!40000 ALTER TABLE `forums_invited` DISABLE KEYS */;
LOCK TABLES `forums_invited` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_invited` ENABLE KEYS */;

--
-- Table structure for table `forums_lang_keys`
--

DROP TABLE IF EXISTS `forums_lang_keys`;
CREATE TABLE `forums_lang_keys` (
  `trans_id` int(6) NOT NULL default '0',
  `key_key` int(6) default NULL,
  `value` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_lang_keys`
--


/*!40000 ALTER TABLE `forums_lang_keys` DISABLE KEYS */;
LOCK TABLES `forums_lang_keys` WRITE;
INSERT INTO `forums_lang_keys` VALUES (1,1,'actions'),(11,282,'public forum'),(1,4,'Choose a folder to move selected forums to:'),(1,5,'comment'),(1,6,'create subfolder'),(1,7,'creation date'),(1,8,'---delete---'),(1,9,'delete this folder'),(1,10,'Do you really want to remove pseudo'),(1,11,'---edit---'),(1,12,'Enter name for the new folder:'),(1,13,'Enter name for the new thread:'),(1,14,'Enter new comment for pseudo'),(1,15,'Enter new pseudo name:'),(1,16,'---erase---'),(1,17,'Exit'),(1,18,'---mark invalid!---'),(1,19,'---mark valid!---'),(1,20,'name'),(1,21,'---New reply'),(1,22,'---New thread---'),(1,23,'Title:'),(1,24,'pseudo'),(1,25,'Pseudos settings'),(1,26,'---register new pseudo---'),(1,27,'Registration'),(1,28,'---remove pseudo---'),(1,29,'---rename---'),(1,30,'to:'),(1,31,'U S E R  M E N U'),(1,32,'Username not found'),(1,33,'Validate'),(1,34,'Would you like all forums in this and sub- folders to be moved to the root? If you answer \'N\', you\'ll lose your invitations!'),(11,280,'update'),(1,35,'Wrong password'),(1,37,'Change'),(1,38,'Move to folder...'),(1,39,'Enter new name for the thread:'),(1,40,'Translations'),(1,36,'Move...'),(1,41,'Register new user'),(1,42,'Username:'),(1,43,'Password:'),(1,44,'E-mail:'),(1,45,'Register!'),(1,46,'You were succesfully registered in the system. Don\'t forget your login and password!'),(1,47,'comment2'),(11,281,'my comment'),(1,49,'Enter new comment2 for pseudo'),(1,50,'Viewing pseudo information'),(1,51,'Edit forum rights'),(1,53,'Sorry, you are not allowed to access this area'),(1,54,'Invite'),(1,55,'Enter pseudo:'),(1,56,'Contact list'),(1,57,'Add pseudo to contact list'),(1,58,'Folder'),(1,59,'Forum'),(1,60,'Thread'),(1,61,'Threads'),(1,62,'Creating new forum.'),(1,64,'By pseudo'),(1,65,'Enter new'),(1,66,'Create!'),(1,67,'Rights editor'),(1,68,'Deny to'),(1,69,'Date'),(1,70,'Change permission'),(1,71,'write'),(1,72,'read'),(1,73,'admin'),(1,74,'allow! (delete from blacklist)'),(1,75,'Add new denyence'),(1,76,'Error: there is no pseudo'),(1,77,'in the database!'),(1,78,'Error: the permission for pseudo'),(1,79,'is already set!'),(1,80,'permission'),(1,81,'invited by'),(1,82,'deny (delete)'),(1,83,'Add new permission'),(1,84,'Create forum'),(1,85,'user already exists!'),(1,86,'is succesfully allowed to access current forum with selected rights!'),(1,87,'not found.'),(1,88,'Sorry, you are not allowed to access this area!'),(1,93,'description'),(1,92,'version'),(1,91,'language'),(1,90,'id'),(1,89,'Use selected (left) translation'),(1,94,'Translation list'),(1,95,'selections'),(1,96,'Add new translation, based on selected one (left)'),(1,97,'Compare (view) selected translations (left & right)'),(11,279,'Select new owner'),(1,2,'Are you sure you want to delete thread'),(11,278,'Problem list'),(11,277,'Invitation tree'),(11,276,'To allow making invitations to trust-forum'),(11,275,'To forbide making invitations to trust-forum'),(11,274,'Move message to...'),(11,271,'Forum name'),(11,272,'User folders'),(11,270,'opened'),(11,264,'using this language'),(11,265,'Send invitation'),(11,266,'Your message has been sent'),(11,269,'closed'),(11,268,'close'),(11,267,'open'),(11,263,'view'),(11,261,'Language zones'),(11,262,'Invitation messages'),(11,260,'Language translations'),(11,98,'Edit selected (left) translation'),(11,99,'---input myself!'),(11,100,'From contact list:'),(11,101,'Or input yourself:'),(11,102,'to this forum with rights:'),(11,103,'Error: guests are never denied to read public forums!'),(11,104,'Secret question:'),(11,259,'Add'),(11,258,'Set'),(11,257,'Input a pseudo of new owner'),(11,256,'Select user'),(11,255,'Add new user'),(11,21,'---New reply'),(11,22,'---New thread---'),(1,3,'<Title>'),(11,254,'User'),(11,253,'User info'),(11,252,'Users'),(1,52,'MaxAccess'),(11,251,'Allow free registration to trust-forum host'),(11,250,'Folder Settings'),(11,249,'Invitations'),(11,248,'Language Settings'),(11,247,'Forum Settings'),(11,246,'User Settings'),(1,63,'such forum already exists!'),(11,245,'Global'),(11,244,'ADMIN PANEL'),(11,243,'Admin panel'),(11,242,'Post'),(11,241,'Preview'),(11,240,'Save'),(11,19,'---mark valid!---'),(11,239,'Add E-mail'),(11,16,'---erase---'),(11,238,'Add pseudo'),(11,236,'Edit denies'),(11,235,'delete'),(11,234,'Edit forum denies'),(11,232,'Invitation level'),(11,233,'Deny level'),(11,231,'Add E-Mail to contact list'),(11,230,'Please, select pseudo'),(11,229,'Local forum'),(11,228,'Host'),(11,227,'Subscribe by default'),(1,124,'unsubscribe'),(11,226,'\\\"Dating forums\\\" folder visible'),(1,123,'subscribe'),(1,122,'subscribed'),(11,225,'View parameters'),(1,121,'Editing translation'),(11,224,'Dating forums'),(1,120,'Adding translation'),(11,237,'Remote public forums'),(1,119,'My pseudos'),(11,273,'Delete user?'),(11,92,'version'),(11,93,'description'),(1,117,'My pseudos'),(11,223,'Stop asking for advices'),(11,215,'Region'),(1,116,'Error: selected pseudo doesn'),(1,114,'new'),(11,222,'Start asking for advices'),(1,48,'Back'),(11,14,'Enter new comment for pseudo'),(1,115,'by pseudo'),(11,209,'The folder is empty'),(1,113,'Where (choose a folder)?'),(11,221,'Deactivate account'),(1,112,'Enter new name:'),(11,220,'Account management'),(1,111,'rename this folder'),(1,110,'Resign my invitation'),(11,219,'Forums'),(1,109,'Error: you cannot cannot change permissions for yourself or the creator of the forum!'),(11,218,'if'),(1,108,'Error: such pseudo already exists!'),(11,217,'A little or perhaps'),(1,107,'error: wrong answer!'),(1,106,'Forgot password?'),(11,216,'Would have income there'),(1,105,'Secret answer:'),(11,214,'Place of a meeting'),(1,104,'Secret question:'),(11,212,'Page'),(11,213,'Webmail'),(1,103,'Error: guests are never denied to read public forums!'),(11,211,'Previous'),(1,102,'to this forum with rights:'),(1,101,'Or input yourself:'),(1,100,'From contact list:'),(11,210,'Next'),(11,208,'Unlisted'),(1,99,'---input myself!'),(1,98,'Edit selected (left) translation'),(11,207,'Your status'),(1,118,'Folder already exists'),(1,125,'Sorry, your session has expired. The message was posted but marked invalid. You can login again and validate it.'),(11,206,'Move to'),(11,205,'Parameter'),(11,204,'Forum link'),(11,203,'Show'),(11,202,'Store'),(1,126,'Help'),(1,127,'Info'),(11,201,'Height'),(1,128,'Pseudos who have posted messages (admins in bold):'),(11,199,'Folders settings'),(11,198,'No'),(1,129,'Public forums'),(11,197,'Yes'),(1,130,'Invitations you take part in:'),(11,200,'Width'),(1,131,'or you cannot add yourself or already existing in your contact list pseudo'),(11,8,'---delete---'),(1,132,'Configuration'),(1,133,'Statistics'),(11,283,'semipublic forum'),(1,134,'Total number of pseudos'),(1,135,'Total number of users'),(1,136,'Total disk space used'),(1,137,'bytes'),(11,195,'Send account'),(1,138,'default folder'),(11,194,'Dating link visible on top'),(1,139,'Invitations viewing access'),(11,193,'Common settings'),(1,140,'allow'),(11,192,'Selected+'),(1,141,'deny'),(11,191,'Selected'),(1,142,'View forum rights'),(11,190,'Delayed'),(1,143,'Do you want the user you\'re inviting to be able to view the invitations table of this forum?'),(11,189,'Trash'),(11,187,'Advices forum (M)'),(11,188,'Unreviewed'),(11,24,'pseudo'),(1,144,'The user took part in the following private forums'),(1,145,'Ask admin to add a new language zone'),(11,185,'Between'),(11,186,'Advices forum (F)'),(1,146,'MainBox'),(11,196,'Are you sure you want to activate your account?'),(1,147,'Custom name'),(1,148,'Go to forum'),(1,149,'Creator name'),(1,150,'members'),(1,151,'only you'),(1,152,'Dating account'),(11,182,'Your quality'),(1,153,'Dating menu'),(11,180,'Main page'),(1,154,'Create your dating account'),(11,179,'No, don'),(1,155,'Your account already exists!'),(11,178,'Yes, ask for advices about my photo'),(1,156,'Your current account state is:'),(11,177,'Activate account'),(1,157,'Your info isn\'t filled in'),(11,176,'Not activated'),(1,158,'Would you like to receive users\' advices about your photo?'),(11,174,'Upload another'),(11,172,'Upload a photo'),(1,159,'Your account doesn\'t exist'),(1,160,'Edit personal info'),(11,184,'Select badnesses for each possible quality of conversation'),(1,161,'Choice'),(11,173,'Photo uploaded.'),(1,162,'Cases'),(1,163,'Badness value'),(11,171,'Personal info'),(1,164,'Empty badness field means'),(11,183,'Are you ready to learn the other'),(1,165,'Enter integer value'),(1,166,'from'),(11,170,'Photo not uploaded'),(1,167,'to'),(1,168,'Other cases'),(1,169,'Warning! Not all the fields are filled right correctly.'),(11,169,'Warning! Not all the fields are filled right correctly.'),(1,170,'Photo not uploaded'),(11,168,'Other cases'),(1,171,'Personal info'),(11,167,'to'),(1,172,'Upload a photo'),(1,173,'Photo uploaded.'),(11,175,'Photo'),(1,174,'Upload another'),(11,71,'write'),(1,175,'Photo'),(11,164,'Empty badness field means'),(1,176,'Not activated'),(1,177,'Activate account'),(11,163,'Badness value'),(1,178,'Yes, ask for advices about my photo'),(11,161,'Choice'),(1,179,'No, don\'t ask for advices but let the users send me messages if they wish'),(11,160,'Edit personal info'),(11,159,'Your account doesn'),(1,180,'Main page'),(1,181,'Languages'),(11,166,'from'),(11,35,'Wrong password'),(1,182,'Your quality'),(1,183,'Are you ready to learn the other\'s language?'),(11,158,'Would you like to receive users'),(1,184,'Select badnesses for each possible quality of conversation'),(11,162,'Cases'),(11,157,'Your info isn'),(1,185,'Between'),(1,186,'Advices forum (F)'),(1,187,'Advices forum (M)'),(1,188,'Unreviewed'),(1,189,'Trash'),(1,190,'Delayed'),(1,191,'Selected'),(1,192,'Selected+'),(11,165,'Enter integer value'),(11,156,'Your current account state is:'),(11,154,'Create your dating account'),(1,193,'Common settings'),(1,194,'Dating link visible on top'),(11,153,'Dating menu'),(1,195,'Send account'),(11,150,'members'),(1,196,'Are you sure you want to activate your account?'),(1,197,'Yes'),(1,198,'No'),(11,152,'Dating account'),(1,199,'Folders settings'),(1,200,'Width'),(11,151,'only you'),(1,201,'Height'),(1,202,'Store'),(11,155,'Your account already exists!'),(1,203,'Show'),(11,149,'Creator name'),(1,204,'Forum link'),(11,148,'Go to forum'),(1,205,'Parameter'),(11,147,'Custom name'),(1,206,'Move to'),(1,207,'Your status'),(1,208,'Unlisted'),(11,146,'MainBox'),(1,209,'The folder is empty'),(1,210,'Next'),(11,145,'Ask admin to add a new language zone'),(1,211,'Previous'),(1,212,'Page'),(1,213,'Webmail'),(1,214,'Place of a meeting'),(1,215,'Region'),(11,143,'Do you want the user you'),(1,216,'Would have income there'),(1,217,'A little or perhaps'),(1,218,'if'),(1,219,'Forums'),(1,220,'Account management'),(11,141,'deny'),(1,221,'Deactivate account'),(1,222,'Start asking for advices'),(1,223,'Stop asking for advices'),(11,139,'Invitations viewing access'),(1,224,'Dating forums'),(11,138,'default folder'),(1,225,'View parameters'),(11,136,'Total disk space used'),(1,226,'\"Dating forums\" folder visible'),(11,135,'Total number of users'),(1,227,'Subscribe by default'),(1,228,'Host'),(11,134,'Total number of pseudos'),(1,229,'Local forum'),(1,230,'Please, select pseudo'),(11,144,'The user took part in the following private forums'),(1,231,'Add E-Mail to contact list'),(11,132,'Configuration'),(1,232,'Invitation level'),(11,133,'Statistics'),(1,233,'Deny level'),(1,234,'Edit forum denies'),(1,235,'delete'),(11,142,'View forum rights'),(1,236,'Edit denies'),(11,114,'new'),(1,237,'Remote public forums'),(11,140,'allow'),(1,238,'Add pseudo'),(11,131,'or you cannot add yourself or already existing in your contact list pseudo'),(1,239,'Add E-mail'),(11,130,'Invitations you take part in:'),(1,240,'Save'),(1,241,'Preview'),(11,129,'Public forums'),(1,242,'Post'),(1,243,'Admin panel'),(1,244,'ADMIN PANEL'),(11,137,'bytes'),(1,245,'Global'),(1,246,'User Settings'),(1,247,'Forum Settings'),(11,127,'Info'),(1,248,'Language Settings'),(11,126,'Help'),(1,250,'Folder Settings'),(11,124,'unsubscribe'),(1,249,'Invitations'),(11,123,'subscribe'),(1,251,'Allow free registration to trust-forum host'),(1,252,'Users'),(11,122,'subscribed'),(1,253,'User info'),(11,121,'Editing translation'),(1,254,'User\'s pseudos'),(11,120,'Adding translation'),(11,119,'My pseudos'),(1,255,'Add new user'),(1,256,'Select user'),(11,118,'Folder already exists'),(1,257,'Input a pseudo of new owner'),(11,128,'Pseudos who have posted messages (admins in bold):'),(1,258,'Set'),(11,115,'by pseudo'),(1,259,'Add'),(11,117,'My pseudos'),(1,261,'Language zones'),(1,260,'Language translations'),(11,116,'Error: selected pseudo doesn'),(1,262,'Invitation messages'),(11,113,'Where (choose a folder)?'),(1,263,'view'),(1,264,'using this language'),(1,281,'my comment'),(11,111,'rename this folder'),(1,280,'update'),(1,279,'Select new owner'),(11,110,'Resign my invitation'),(1,278,'Problem list'),(1,277,'Invitation tree'),(11,125,'Sorry, your session has expired. The message was posted but marked invalid. You can login again and validate it.'),(1,276,'To allow making invitations to trust-forum'),(11,181,'Languages'),(1,275,'To forbide making invitations to trust-forum'),(1,274,'Move message to...'),(11,112,'Enter new name:'),(1,273,'Delete user?'),(1,272,'User folders'),(1,271,'Forum name'),(1,270,'opened'),(11,109,'Error: you cannot cannot change permissions for yourself or the creator of the forum!'),(1,269,'closed'),(1,268,'close'),(1,267,'open'),(11,108,'Error: such pseudo already exists!'),(1,266,'Your message has been sent'),(11,107,'error: wrong answer!'),(1,265,'Send invitation'),(1,282,'public forum'),(1,283,'semipublic forum'),(1,284,'private forum'),(1,285,'forum type'),(11,106,'Forgot password?'),(11,105,'Secret answer:'),(11,97,'Compare (view) selected translations (left & right)'),(11,96,'Add new translation, based on selected one (left)'),(11,95,'selections'),(11,94,'Translation list'),(11,91,'language'),(11,90,'id'),(11,89,'Use selected (left) translation'),(11,88,'Sorry, you are not allowed to access this area!'),(11,87,'not found.'),(11,85,'user already exists!'),(11,86,'is succesfully allowed to access current forum with selected rights!'),(11,84,'Create forum'),(11,58,'Folder'),(11,59,'Forum'),(11,60,'Thread'),(11,61,'Threads'),(11,62,'Creating new forum.'),(11,63,'such forum already exists!'),(11,57,'Add pseudo to contact list'),(11,52,'MaxAccess'),(11,50,'Viewing pseudo information'),(11,56,'Contact list'),(11,83,'Add new permission'),(11,82,'deny (delete)'),(11,54,'Invite'),(11,55,'Enter pseudo:'),(11,41,'Register new user'),(11,42,'Username:'),(11,43,'Password:'),(11,44,'E-mail:'),(11,45,'Register!'),(11,46,'You were succesfully registered in the system. Don'),(11,81,'invited by'),(11,80,'permission'),(11,37,'Change'),(11,79,'is already set!'),(11,78,'Error: the permission for pseudo'),(11,31,'U S E R  M E N U'),(11,32,'Username not found'),(11,77,'in the database!'),(11,76,'Error: there is no pseudo'),(11,73,'admin'),(11,74,'allow! (delete from blacklist)'),(11,75,'Add new denyence'),(11,72,'read'),(11,27,'Registration'),(11,69,'Date'),(11,70,'Change permission'),(11,67,'Rights editor'),(11,68,'Deny to'),(11,66,'Create!'),(11,65,'Enter new'),(11,64,'By pseudo'),(11,53,'Sorry, you are not allowed to access this area'),(11,51,'Edit forum rights'),(11,49,'Enter new comment2 for pseudo'),(11,48,'Back'),(11,47,'comment2'),(11,40,'Translations'),(11,39,'Enter new name for the thread:'),(11,38,'Move to folder...'),(11,36,'Move...'),(11,34,'Would you like all forums in this and sub- folders to be moved to the root? If you answer'),(11,33,'Validate'),(11,30,'to:'),(11,29,'---rename---'),(11,28,'---remove pseudo---'),(11,26,'---register new pseudo---'),(11,25,'Pseudos settings'),(11,23,'Title:'),(11,20,'name'),(11,18,'---mark invalid!---'),(11,17,'Exit'),(11,15,'Enter new pseudo name:'),(11,13,'Enter name for the new thread:'),(11,12,'Enter name for the new folder:'),(11,11,'---edit---'),(11,10,'Do you really want to remove pseudo'),(11,9,'delete this folder'),(11,7,'creation date'),(11,6,'create subfolder'),(11,1,'actions'),(11,2,'Are you sure you want to delete thread'),(11,3,'<Title>'),(11,4,'Choose a folder to move selected forums to:'),(11,5,'comment'),(11,284,'private forum'),(11,285,'forum type'),(12,1,'actions'),(12,2,'Are you sure you want to delete thread'),(12,3,'<Title>'),(12,4,'Choose a folder to move selected forums to:'),(12,5,'comment'),(12,6,'create subfolder'),(12,7,'creation date'),(12,8,'---delete---'),(12,9,'delete this folder'),(12,10,'Do you really want to remove pseudo'),(12,11,'---edit---'),(12,12,'Enter name for the new folder:'),(12,13,'Enter name for the new thread:'),(12,14,'Enter new comment for pseudo'),(12,15,'Enter new pseudo name:'),(12,16,'---erase---'),(12,17,'Exit'),(12,18,'---mark invalid!---'),(12,19,'---mark valid!---'),(12,20,'name'),(12,21,'---New reply'),(12,22,'---New thread---'),(12,23,'Title:'),(12,24,'pseudo'),(12,25,'Pseudos settings'),(12,26,'---register new pseudo---'),(12,27,'Registration'),(12,28,'---remove pseudo---'),(12,29,'---rename---'),(12,30,'to:'),(12,31,'U S E R  M E N U'),(12,32,'Username not found'),(12,33,'Validate'),(12,34,'Would you like all forums in this and sub- folders to be moved to the root? If you answer'),(12,35,'Wrong password'),(12,36,'Move...'),(12,37,'Change'),(12,38,'Move to folder...'),(12,39,'Enter new name for the thread:'),(12,40,'Translations'),(12,41,'Register new user'),(12,42,'Username:'),(12,43,'Password:'),(12,44,'E-mail:'),(12,45,'Register!'),(12,46,'You were succesfully registered in the system. Don'),(12,47,'comment2'),(12,48,'Back'),(12,49,'Enter new comment2 for pseudo'),(12,50,'Viewing pseudo information'),(12,51,'Edit forum rights'),(12,52,'MaxAccess'),(12,53,'Sorry, you are not allowed to access this area'),(12,54,'Invite'),(12,55,'Enter pseudo:'),(12,56,'Contact list'),(12,57,'Add pseudo to contact list'),(12,58,'Folder'),(12,59,'Forum'),(12,60,'Thread'),(12,61,'Threads'),(12,62,'Creating new forum.'),(12,63,'such forum already exists!'),(12,64,'By pseudo'),(12,65,'Enter new'),(12,66,'Create!'),(12,67,'Rights editor'),(12,68,'Deny to'),(12,69,'Date'),(12,70,'Change permission'),(12,71,'write'),(12,72,'read'),(12,73,'admin'),(12,74,'allow! (delete from blacklist)'),(12,75,'Add new denyence'),(12,76,'Error: there is no pseudo'),(12,77,'in the database!'),(12,78,'Error: the permission for pseudo'),(12,79,'is already set!'),(12,80,'permission'),(12,81,'invited by'),(12,82,'deny (delete)'),(12,83,'Add new permission'),(12,84,'Create forum'),(12,85,'user already exists!'),(12,86,'is succesfully allowed to access current forum with selected rights!'),(12,87,'not found.'),(12,88,'Sorry, you are not allowed to access this area!'),(12,89,'Use selected (left) translation'),(12,90,'id'),(12,91,'language'),(12,92,'version'),(12,93,'description'),(12,94,'Translation list'),(12,95,'selections'),(12,96,'Add new translation, based on selected one (left)'),(12,97,'Compare (view) selected translations (left & right)'),(12,98,'Edit selected (left) translation'),(12,99,'---input myself!'),(12,100,'From contact list:'),(12,101,'Or input yourself:'),(12,102,'to this forum with rights:'),(12,103,'Error: guests are never denied to read public forums!'),(12,104,'Secret question:'),(12,105,'Secret answer:'),(12,106,'Forgot password?'),(12,107,'error: wrong answer!'),(12,108,'Error: such pseudo already exists!'),(12,109,'Error: you cannot cannot change permissions for yourself or the creator of the forum!'),(12,110,'Resign my invitation'),(12,111,'rename this folder'),(12,112,'Enter new name:'),(12,113,'Where (choose a folder)?'),(12,114,'new'),(12,115,'by pseudo'),(12,116,'Error: selected pseudo doesn'),(12,117,'My pseudos'),(12,118,'Folder already exists'),(12,119,'My pseudos'),(12,120,'Adding translation'),(12,121,'Editing translation'),(12,122,'subscribed'),(12,123,'subscribe'),(12,124,'unsubscribe'),(12,125,'Sorry, your session has expired. The message was posted but marked invalid. You can login again and validate it.'),(12,126,'Help'),(12,127,'Info'),(12,128,'Pseudos who have posted messages (admins in bold):'),(12,129,'Public forums'),(12,130,'Invitations you take part in:'),(12,131,'or you cannot add yourself or already existing in your contact list pseudo'),(12,132,'Configuration'),(12,133,'Statistics'),(12,134,'Total number of pseudos'),(12,135,'Total number of users'),(12,136,'Total disk space used'),(12,137,'bytes'),(12,138,'default folder'),(12,139,'Invitations viewing access'),(12,140,'allow'),(12,141,'deny'),(12,142,'View forum rights'),(12,143,'Do you want the user you'),(12,144,'The user took part in the following private forums'),(12,145,'Ask admin to add a new language zone'),(12,146,'MainBox'),(12,147,'Custom name'),(12,148,'Go to forum'),(12,149,'Creator name'),(12,150,'members'),(12,151,'only you'),(12,152,'Dating account'),(12,153,'Dating menu'),(12,154,'Create your dating account'),(12,155,'Your account already exists!'),(12,156,'Your current account state is:'),(12,157,'Your info isn'),(12,158,'Would you like to receive users'),(12,159,'Your account doesn'),(12,160,'Edit personal info'),(12,161,'Choice'),(12,162,'Cases'),(12,163,'Badness value'),(12,164,'Empty badness field means'),(12,165,'Enter integer value'),(12,166,'from'),(12,167,'to'),(12,168,'Other cases'),(12,169,'Warning! Not all the fields are filled right correctly.'),(12,170,'Photo not uploaded'),(12,171,'Personal info'),(12,172,'Upload a photo'),(12,173,'Photo uploaded.'),(12,174,'Upload another'),(12,175,'Photo'),(12,176,'Not activated'),(12,177,'Activate account'),(12,178,'Yes, ask for advices about my photo'),(12,179,'No, don'),(12,180,'Main page'),(12,181,'Languages'),(12,182,'Your quality'),(12,183,'Are you ready to learn the other'),(12,184,'Select badnesses for each possible quality of conversation'),(12,185,'Between'),(12,186,'Advices forum (F)'),(12,187,'Advices forum (M)'),(12,188,'Unreviewed'),(12,189,'Trash'),(12,190,'Delayed'),(12,191,'Selected'),(12,192,'Selected+'),(12,193,'Common settings'),(12,194,'Dating link visible on top'),(12,195,'Send account'),(12,196,'Are you sure you want to activate your account?'),(12,197,'Yes'),(12,198,'No'),(12,199,'Folders settings'),(12,200,'Width'),(12,201,'Height'),(12,202,'Store'),(12,203,'Show'),(12,204,'Forum link'),(12,205,'Parameter'),(12,206,'Move to'),(12,207,'Your status'),(12,208,'Unlisted'),(12,209,'The folder is empty'),(12,210,'Next'),(12,211,'Previous'),(12,212,'Page'),(12,213,'Webmail'),(12,214,'Place of a meeting'),(12,215,'Region'),(12,216,'Would have income there'),(12,217,'A little or perhaps'),(12,218,'if'),(12,219,'Forums'),(12,220,'Account management'),(12,221,'Deactivate account'),(12,222,'Start asking for advices'),(12,223,'Stop asking for advices'),(12,224,'Dating forums'),(12,225,'View parameters'),(12,226,'\\\\\\\"Dating forums\\\\\\\" folder visible'),(12,227,'Subscribe by default'),(12,228,'Host'),(12,229,'Local forum'),(12,230,'Please, select pseudo'),(12,231,'Add E-Mail to contact list'),(12,232,'Invitation level'),(12,233,'Deny level'),(12,234,'Edit forum denies'),(12,235,'delete'),(12,236,'Edit denies'),(12,237,'Remote public forums'),(12,238,'Add pseudo'),(12,239,'Add E-mail'),(12,240,'Save'),(12,241,'Preview'),(12,242,'Post'),(12,243,'Admin panel'),(12,244,'ADMIN PANEL'),(12,245,'Global'),(12,246,'User Settings'),(12,247,'Forum Settings'),(12,248,'Language Settings'),(12,249,'Invitations'),(12,250,'Folder Settings'),(12,251,'Allow free registration to trust-forum host'),(12,252,'Users'),(12,253,'User info'),(12,254,'User'),(12,255,'Add new user'),(12,256,'Select user'),(12,257,'Input a pseudo of new owner'),(12,258,'Set'),(12,259,'Add'),(12,260,'Language translations'),(12,261,'Language zones'),(12,262,'Invitation messages'),(12,263,'view'),(12,264,'using this language'),(12,265,'Send invitation'),(12,266,'Your message has been sent'),(12,267,'open'),(12,268,'close'),(12,269,'closed'),(12,270,'opened'),(12,271,'Forum name'),(12,272,'User folders'),(12,273,'Delete user?'),(12,274,'Move message to...'),(12,275,'To forbide making invitations to trust-forum'),(12,276,'To allow making invitations to trust-forum'),(12,277,'Invitation tree'),(12,278,'Problem list'),(12,279,'Select new owner'),(12,280,'update'),(12,281,'my comment'),(12,282,'public forum'),(12,283,'semipublic forum'),(12,284,'private forum'),(12,285,'forum type');
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_lang_keys` ENABLE KEYS */;

--
-- Table structure for table `forums_lang_translations`
--

DROP TABLE IF EXISTS `forums_lang_translations`;
CREATE TABLE `forums_lang_translations` (
  `id` int(6) NOT NULL auto_increment,
  `pseudo_id` int(6) default NULL,
  `access` varchar(20) NOT NULL default '',
  `zone_id` int(6) default NULL,
  `descr` mediumtext,
  `version` varchar(7) default NULL,
  `create_date` date default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_lang_translations`
--


/*!40000 ALTER TABLE `forums_lang_translations` DISABLE KEYS */;
LOCK TABLES `forums_lang_translations` WRITE;
INSERT INTO `forums_lang_translations` VALUES (1,1,'public',1,'Common english translation.','1.0','2006-10-20'),(11,89,'private',1,'Common english translation.','2','2006-10-18'),(12,89,'private',1,'Common english translation.','preved','2006-10-18');
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_lang_translations` ENABLE KEYS */;

--
-- Table structure for table `forums_lang_zones`
--

DROP TABLE IF EXISTS `forums_lang_zones`;
CREATE TABLE `forums_lang_zones` (
  `id` int(6) NOT NULL auto_increment,
  `stitle` varchar(7) default NULL,
  `ftitle` varchar(63) default NULL,
  `user_id` int(6) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_lang_zones`
--


/*!40000 ALTER TABLE `forums_lang_zones` DISABLE KEYS */;
LOCK TABLES `forums_lang_zones` WRITE;
INSERT INTO `forums_lang_zones` VALUES (1,'EN','English',0),(2,'RU','Russian',0),(3,'DE','German',0),(4,'FR','French',0),(17,'CHI','Chinese',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_lang_zones` ENABLE KEYS */;

--
-- Table structure for table `forums_messages`
--

DROP TABLE IF EXISTS `forums_messages`;
CREATE TABLE `forums_messages` (
  `id` int(6) NOT NULL auto_increment,
  `pseudo_id` int(6) default NULL,
  `thread_id` int(6) default NULL,
  `header` mediumtext,
  `body` longtext,
  `created` datetime default NULL,
  `valid` enum('Y','N') default NULL,
  `already_read` enum('Y','N') default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_messages`
--


/*!40000 ALTER TABLE `forums_messages` DISABLE KEYS */;
LOCK TABLES `forums_messages` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_messages` ENABLE KEYS */;

--
-- Table structure for table `forums_pseudos`
--

DROP TABLE IF EXISTS `forums_pseudos`;
CREATE TABLE `forums_pseudos` (
  `id` int(6) NOT NULL auto_increment,
  `user_id` int(6) default NULL,
  `name` varchar(255) default NULL,
  `comment` varchar(50) default NULL,
  `comment2` mediumtext,
  `create_date` date default NULL,
  `folder_id` int(6) default NULL,
  `can_invite` enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_pseudos`
--


/*!40000 ALTER TABLE `forums_pseudos` DISABLE KEYS */;
LOCK TABLES `forums_pseudos` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_pseudos` ENABLE KEYS */;

--
-- Table structure for table `forums_somesettings`
--

DROP TABLE IF EXISTS `forums_somesettings`;
CREATE TABLE `forums_somesettings` (
  `user_id` int(6) unsigned NOT NULL auto_increment,
  `datinglink_ontop` enum('Y','N') default NULL,
  `default_page` varchar(63) NOT NULL default 'index.php',
  PRIMARY KEY  (`user_id`),
  UNIQUE KEY `user_id` (`user_id`),
  KEY `user_id_2` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_somesettings`
--


/*!40000 ALTER TABLE `forums_somesettings` DISABLE KEYS */;
LOCK TABLES `forums_somesettings` WRITE;
INSERT INTO `forums_somesettings` VALUES (55,'Y','index.php?action=translations'),(89,'N','?action=showfolder&id=21617');
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_somesettings` ENABLE KEYS */;

--
-- Table structure for table `forums_subscribtions`
--

DROP TABLE IF EXISTS `forums_subscribtions`;
CREATE TABLE `forums_subscribtions` (
  `user_id` int(6) default NULL,
  `forum_id` int(6) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_subscribtions`
--


/*!40000 ALTER TABLE `forums_subscribtions` DISABLE KEYS */;
LOCK TABLES `forums_subscribtions` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_subscribtions` ENABLE KEYS */;

--
-- Table structure for table `forums_threads`
--

DROP TABLE IF EXISTS `forums_threads`;
CREATE TABLE `forums_threads` (
  `id` int(6) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `forum_id` int(6) default NULL,
  `createdate` date default NULL,
  `hidden` enum('Y','N') default 'N',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_threads`
--


/*!40000 ALTER TABLE `forums_threads` DISABLE KEYS */;
LOCK TABLES `forums_threads` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_threads` ENABLE KEYS */;

--
-- Table structure for table `forums_threads_lastvisits`
--

DROP TABLE IF EXISTS `forums_threads_lastvisits`;
CREATE TABLE `forums_threads_lastvisits` (
  `thread_id` int(6) default NULL,
  `user_id` int(6) default NULL,
  `when` datetime default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_threads_lastvisits`
--


/*!40000 ALTER TABLE `forums_threads_lastvisits` DISABLE KEYS */;
LOCK TABLES `forums_threads_lastvisits` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_threads_lastvisits` ENABLE KEYS */;

--
-- Table structure for table `forums_users`
--

DROP TABLE IF EXISTS `forums_users`;
CREATE TABLE `forums_users` (
  `id` int(6) NOT NULL auto_increment,
  `login` varchar(255) default NULL,
  `pass` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `admin` enum('Y','N') default NULL,
  `trans_id` int(6) default NULL,
  `reg_date` date default NULL,
  `charset` int(6) unsigned default NULL,
  `secr_q` varchar(255) default NULL,
  `secr_a` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forums_users`
--


/*!40000 ALTER TABLE `forums_users` DISABLE KEYS */;
LOCK TABLES `forums_users` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forums_users` ENABLE KEYS */;

--
-- Table structure for table `gls_accesses`
--

DROP TABLE IF EXISTS `gls_accesses`;
CREATE TABLE `gls_accesses` (
  `pseudo_id` int(6) default NULL,
  `pseudo_who_invited` int(6) default NULL,
  `host_who_invited` int(6) NOT NULL default '0',
  `forum_id` int(6) default NULL,
  `rights` enum('r','w','a','d') NOT NULL default 'r',
  `rights_deny` enum('r','w','a','d') NOT NULL default 'r',
  `create_date` date default NULL,
  `view_inv` enum('Y','N') NOT NULL default 'N',
  `host_id` int(11) NOT NULL default '0',
  UNIQUE KEY `uniq` (`pseudo_id`,`forum_id`,`host_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_accesses`
--


/*!40000 ALTER TABLE `gls_accesses` DISABLE KEYS */;
LOCK TABLES `gls_accesses` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_accesses` ENABLE KEYS */;

--
-- Table structure for table `gls_accesses_email`
--

DROP TABLE IF EXISTS `gls_accesses_email`;
CREATE TABLE `gls_accesses_email` (
  `email_id` varchar(50) default NULL,
  `pseudo_who_invited` int(6) default NULL,
  `forum_id` int(6) default NULL,
  `rights` enum('r','w','a','d') NOT NULL default 'r',
  `rights_deny` enum('r','w','a','d') NOT NULL default 'r',
  `create_date` date default NULL,
  `view_inv` enum('Y','N') NOT NULL default 'N',
  `key` varchar(32) default NULL,
  UNIQUE KEY `uniq` (`email_id`,`forum_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_accesses_email`
--


/*!40000 ALTER TABLE `gls_accesses_email` DISABLE KEYS */;
LOCK TABLES `gls_accesses_email` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_accesses_email` ENABLE KEYS */;

--
-- Table structure for table `gls_blacklist`
--

DROP TABLE IF EXISTS `gls_blacklist`;
CREATE TABLE `gls_blacklist` (
  `forum_id` int(6) default NULL,
  `pseudo_id` int(6) default NULL,
  `denyto` enum('r','w') default NULL,
  `create_date` date default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_blacklist`
--


/*!40000 ALTER TABLE `gls_blacklist` DISABLE KEYS */;
LOCK TABLES `gls_blacklist` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_blacklist` ENABLE KEYS */;

--
-- Table structure for table `gls_bookmark`
--

DROP TABLE IF EXISTS `gls_bookmark`;
CREATE TABLE `gls_bookmark` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL default '0',
  `host_id` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_bookmark`
--


/*!40000 ALTER TABLE `gls_bookmark` DISABLE KEYS */;
LOCK TABLES `gls_bookmark` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_bookmark` ENABLE KEYS */;

--
-- Table structure for table `gls_contacts`
--

DROP TABLE IF EXISTS `gls_contacts`;
CREATE TABLE `gls_contacts` (
  `user_id` int(6) default NULL,
  `pseudo_id` int(6) default NULL,
  `host_id` int(11) default NULL,
  `mycomment` text,
  `email` varchar(50) default NULL,
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `un` (`user_id`,`pseudo_id`,`host_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_contacts`
--


/*!40000 ALTER TABLE `gls_contacts` DISABLE KEYS */;
LOCK TABLES `gls_contacts` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_contacts` ENABLE KEYS */;

--
-- Table structure for table `gls_customnames`
--

DROP TABLE IF EXISTS `gls_customnames`;
CREATE TABLE `gls_customnames` (
  `forum_id` int(6) NOT NULL default '0',
  `user_id` int(6) NOT NULL default '0',
  `customname` varchar(255) default '0',
  `host_id` int(11) default NULL,
  PRIMARY KEY  (`forum_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_customnames`
--


/*!40000 ALTER TABLE `gls_customnames` DISABLE KEYS */;
LOCK TABLES `gls_customnames` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_customnames` ENABLE KEYS */;

--
-- Table structure for table `gls_email`
--

DROP TABLE IF EXISTS `gls_email`;
CREATE TABLE `gls_email` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `user_id` int(6) default NULL,
  `email` varchar(50) default NULL,
  `comment` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `un` (`user_id`,`email`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_email`
--


/*!40000 ALTER TABLE `gls_email` DISABLE KEYS */;
LOCK TABLES `gls_email` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_email` ENABLE KEYS */;

--
-- Table structure for table `gls_folders`
--

DROP TABLE IF EXISTS `gls_folders`;
CREATE TABLE `gls_folders` (
  `id` int(10) unsigned NOT NULL default '0',
  `parent_id` int(10) unsigned NOT NULL default '0',
  `order_num` tinyint(4) unsigned NOT NULL default '0',
  `level` int(10) unsigned NOT NULL default '0',
  `left_id` int(10) unsigned NOT NULL default '0',
  `right_id` int(10) unsigned NOT NULL default '0',
  `parent` int(10) default NULL,
  `type` enum('RootTree','MainBox','UserFolder','PublicForum') default NULL,
  `user_id` int(11) default NULL,
  `name` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `right_left` (`id`,`parent_id`,`left_id`,`right_id`),
  KEY `level` (`level`),
  KEY `order` (`order_num`),
  KEY `right` (`right_id`),
  KEY `left` (`left_id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_folders`
--


/*!40000 ALTER TABLE `gls_folders` DISABLE KEYS */;
LOCK TABLES `gls_folders` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_folders` ENABLE KEYS */;

--
-- Table structure for table `gls_folders_id_seq`
--

DROP TABLE IF EXISTS `gls_folders_id_seq`;
CREATE TABLE `gls_folders_id_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_folders_id_seq`
--


/*!40000 ALTER TABLE `gls_folders_id_seq` DISABLE KEYS */;
LOCK TABLES `gls_folders_id_seq` WRITE;
INSERT INTO `gls_folders_id_seq` VALUES (22447);
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_folders_id_seq` ENABLE KEYS */;

--
-- Table structure for table `gls_forums`
--

DROP TABLE IF EXISTS `gls_forums`;
CREATE TABLE `gls_forums` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `access` enum('private','public','semipublic') NOT NULL default 'semipublic',
  `pseudo_id` int(11) default NULL,
  `folder_id` int(11) default NULL,
  `user_id` int(11) default NULL,
  `name` varchar(255) default NULL,
  `comment` varchar(50) default NULL,
  `comment2` mediumtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_forums`
--


/*!40000 ALTER TABLE `gls_forums` DISABLE KEYS */;
LOCK TABLES `gls_forums` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_forums` ENABLE KEYS */;

--
-- Table structure for table `gls_forums2folders`
--

DROP TABLE IF EXISTS `gls_forums2folders`;
CREATE TABLE `gls_forums2folders` (
  `forum_id` int(11) default NULL,
  `folder_id` int(11) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_forums2folders`
--


/*!40000 ALTER TABLE `gls_forums2folders` DISABLE KEYS */;
LOCK TABLES `gls_forums2folders` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_forums2folders` ENABLE KEYS */;

--
-- Table structure for table `gls_forums_id_seq`
--

DROP TABLE IF EXISTS `gls_forums_id_seq`;
CREATE TABLE `gls_forums_id_seq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_forums_id_seq`
--


/*!40000 ALTER TABLE `gls_forums_id_seq` DISABLE KEYS */;
LOCK TABLES `gls_forums_id_seq` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_forums_id_seq` ENABLE KEYS */;

--
-- Table structure for table `gls_globalsettings`
--

DROP TABLE IF EXISTS `gls_globalsettings`;
CREATE TABLE `gls_globalsettings` (
  `name` varchar(255) NOT NULL default '',
  `value` text,
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_globalsettings`
--


/*!40000 ALTER TABLE `gls_globalsettings` DISABLE KEYS */;
LOCK TABLES `gls_globalsettings` WRITE;
INSERT INTO `gls_globalsettings` VALUES ('freereg','Y');
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_globalsettings` ENABLE KEYS */;

--
-- Table structure for table `gls_host`
--

DROP TABLE IF EXISTS `gls_host`;
CREATE TABLE `gls_host` (
  `id` int(11) NOT NULL auto_increment,
  `gls_url` varchar(255) NOT NULL default '',
  `address_base` varchar(255) NOT NULL default '',
  `name` varchar(63) NOT NULL default '',
  `public_key` text NOT NULL,
  `bookmark_url` varchar(255) NOT NULL default '',
  `our_host_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `gls_url_index` (`gls_url`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_host`
--


/*!40000 ALTER TABLE `gls_host` DISABLE KEYS */;
LOCK TABLES `gls_host` WRITE;
INSERT INTO `gls_host` VALUES (1,'http://trusted2/service.php','http://trusted2','trusted2','-----BEGIN CERTIFICATE-----\r\nMIIB/jCCAWegAwIBAgIBADANBgkqhkiG9w0BAQQFADBFMQswCQYDVQQGEwJBVTET\r\nMBEGA1UECBMKU29tZS1TdGF0ZTEhMB8GA1UEChMYSW50ZXJuZXQgV2lkZ2l0cyBQ\r\ndHkgTHRkMB4XDTA1MDUxOTE3MjY0MFoXDTA1MDUxOTE3MjY0MFowRTELMAkGA1UE\r\nBhMCQVUxEzARBgNVBAgTClNvbWUtU3RhdGUxITAfBgNVBAoTGEludGVybmV0IFdp\r\nZGdpdHMgUHR5IEx0ZDCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAwGtrDNrf\r\nSD/w6OVEutSFgg+xj1+GcBzuHTRgO3S7V97RmqdHw6pTWqOLiSkggU4LZd2/Z6Rq\r\nRh6GyDndnhRgxq/TThE6F3IASo1oH6x7Tf+IBtZWT04CJok22WPPuA2SJQglUn6v\r\nkv3T+DF4KH1wCjMoRFADA9N0u8miX2KhIg8CAwEAATANBgkqhkiG9w0BAQQFAAOB\r\ngQAYsOXxcEIt57ENcbYF2q3jzA++kMRdqUd3umjQZczWkhVVbbMDBzjB2N0Zb6Fe\r\nhSyJmIPYN85U/+K3E0idKwbfm6oVpTKD4ZYqIqP5aKuNNDBkNcAOEnCN5IqCOASX\r\nZD+ef0MMFVgB5vNlXXuy94GGanKR5ymQie0NArOFT3QHog==\r\n-----END CERTIFICATE-----','',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_host` ENABLE KEYS */;

--
-- Table structure for table `gls_invited`
--

DROP TABLE IF EXISTS `gls_invited`;
CREATE TABLE `gls_invited` (
  `id` int(11) NOT NULL auto_increment,
  `secretkey` varchar(32) default NULL,
  `parentid` int(11) default NULL,
  `lang` int(11) default NULL,
  `email` varchar(128) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_invited`
--


/*!40000 ALTER TABLE `gls_invited` DISABLE KEYS */;
LOCK TABLES `gls_invited` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_invited` ENABLE KEYS */;

--
-- Table structure for table `gls_invitemessages`
--

DROP TABLE IF EXISTS `gls_invitemessages`;
CREATE TABLE `gls_invitemessages` (
  `lang` varchar(7) NOT NULL default '',
  `message` text,
  PRIMARY KEY  (`lang`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_invitemessages`
--


/*!40000 ALTER TABLE `gls_invitemessages` DISABLE KEYS */;
LOCK TABLES `gls_invitemessages` WRITE;
INSERT INTO `gls_invitemessages` VALUES ('EN','dear user, you are invited in trusted forum system, please push link below and enjoy!'),('RU','äàðàãèå ðàñèÿíå ïàíèìàåøü!!\r\nïðåâåä!!'),('DE',''),('FR',''),('CHI','');
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_invitemessages` ENABLE KEYS */;

--
-- Table structure for table `gls_messages`
--

DROP TABLE IF EXISTS `gls_messages`;
CREATE TABLE `gls_messages` (
  `id` int(6) NOT NULL auto_increment,
  `pseudo_id` int(6) default NULL,
  `user_id` int(11) default NULL,
  `forum_id` int(11) default NULL,
  `thread_id` int(6) default NULL,
  `header` mediumtext,
  `body` longtext,
  `created` datetime default NULL,
  `valid` enum('Y','N') default NULL,
  `already_read` enum('Y','N') default NULL,
  `host_id` int(11) NOT NULL default '0',
  `mail` varchar(50) default NULL,
  PRIMARY KEY  (`id`),
  KEY `created` (`created`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_messages`
--


/*!40000 ALTER TABLE `gls_messages` DISABLE KEYS */;
LOCK TABLES `gls_messages` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_messages` ENABLE KEYS */;

--
-- Table structure for table `gls_pseudos`
--

DROP TABLE IF EXISTS `gls_pseudos`;
CREATE TABLE `gls_pseudos` (
  `id` int(6) NOT NULL auto_increment,
  `user_id` int(6) default NULL,
  `name` varchar(255) default NULL,
  `comment` varchar(50) default NULL,
  `comment2` mediumtext,
  `create_date` date default NULL,
  `can_invite` enum('Y','N') NOT NULL default 'Y',
  `state` enum('open','close') NOT NULL default 'open',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_pseudos`
--


/*!40000 ALTER TABLE `gls_pseudos` DISABLE KEYS */;
LOCK TABLES `gls_pseudos` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_pseudos` ENABLE KEYS */;

--
-- Table structure for table `gls_remote_session`
--

DROP TABLE IF EXISTS `gls_remote_session`;
CREATE TABLE `gls_remote_session` (
  `id` int(11) NOT NULL auto_increment,
  `host_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `rand_string` varchar(32) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `host_user_session` (`host_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_remote_session`
--


/*!40000 ALTER TABLE `gls_remote_session` DISABLE KEYS */;
LOCK TABLES `gls_remote_session` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_remote_session` ENABLE KEYS */;

--
-- Table structure for table `gls_session`
--

DROP TABLE IF EXISTS `gls_session`;
CREATE TABLE `gls_session` (
  `ses_id` varchar(32) NOT NULL default '',
  `ses_time` varchar(15) NOT NULL default '',
  `ses_start` int(30) NOT NULL default '0',
  `ses_value` text NOT NULL,
  `pseudo` varchar(255) default NULL,
  `host_id` int(11) default NULL,
  `user_id` int(11) default NULL,
  PRIMARY KEY  (`ses_id`),
  KEY `user_session` (`pseudo`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_session`
--


/*!40000 ALTER TABLE `gls_session` DISABLE KEYS */;
LOCK TABLES `gls_session` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_session` ENABLE KEYS */;

--
-- Table structure for table `gls_set_locks`
--

DROP TABLE IF EXISTS `gls_set_locks`;
CREATE TABLE `gls_set_locks` (
  `lockID` char(32) NOT NULL default '',
  `lockTable` char(32) NOT NULL default '',
  `lockStamp` int(11) NOT NULL default '0',
  PRIMARY KEY  (`lockID`,`lockTable`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COMMENT='Table locks for comments';

--
-- Dumping data for table `gls_set_locks`
--


/*!40000 ALTER TABLE `gls_set_locks` DISABLE KEYS */;
LOCK TABLES `gls_set_locks` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_set_locks` ENABLE KEYS */;

--
-- Table structure for table `gls_subscribtions`
--

DROP TABLE IF EXISTS `gls_subscribtions`;
CREATE TABLE `gls_subscribtions` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(6) default NULL,
  `forum_id` int(6) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_subscribtions`
--


/*!40000 ALTER TABLE `gls_subscribtions` DISABLE KEYS */;
LOCK TABLES `gls_subscribtions` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_subscribtions` ENABLE KEYS */;

--
-- Table structure for table `gls_threads`
--

DROP TABLE IF EXISTS `gls_threads`;
CREATE TABLE `gls_threads` (
  `id` int(6) NOT NULL auto_increment,
  `name` varchar(255) default NULL,
  `forum_id` int(6) default NULL,
  `createdate` date default NULL,
  `hidden` enum('Y','N') default 'N',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_threads`
--


/*!40000 ALTER TABLE `gls_threads` DISABLE KEYS */;
LOCK TABLES `gls_threads` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_threads` ENABLE KEYS */;

--
-- Table structure for table `gls_threads_lastvisits`
--

DROP TABLE IF EXISTS `gls_threads_lastvisits`;
CREATE TABLE `gls_threads_lastvisits` (
  `thread_id` int(6) default NULL,
  `user_id` int(6) default NULL,
  `when` datetime default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_threads_lastvisits`
--


/*!40000 ALTER TABLE `gls_threads_lastvisits` DISABLE KEYS */;
LOCK TABLES `gls_threads_lastvisits` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_threads_lastvisits` ENABLE KEYS */;

--
-- Table structure for table `gls_users`
--

DROP TABLE IF EXISTS `gls_users`;
CREATE TABLE `gls_users` (
  `id` int(6) NOT NULL auto_increment,
  `login` varchar(255) default NULL,
  `pass` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `admin` enum('Y','N') default NULL,
  `trans_id` int(6) default NULL,
  `mess_on_page` int(10) NOT NULL default '10',
  `reg_date` date default NULL,
  `charset` int(6) unsigned default NULL,
  `secr_q` varchar(255) default NULL,
  `secr_a` varchar(255) default NULL,
  `state` enum('open','close') NOT NULL default 'open',
  `can_invite` enum('Y','N') NOT NULL default 'Y',
  `user_invited` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gls_users`
--


/*!40000 ALTER TABLE `gls_users` DISABLE KEYS */;
LOCK TABLES `gls_users` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `gls_users` ENABLE KEYS */;

--
-- Table structure for table `wm_addressbook`
--

DROP TABLE IF EXISTS `wm_addressbook`;
CREATE TABLE `wm_addressbook` (
  `user_email` text,
  `name` text,
  `email` text,
  `comment` longtext
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wm_addressbook`
--


/*!40000 ALTER TABLE `wm_addressbook` DISABLE KEYS */;
LOCK TABLES `wm_addressbook` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wm_addressbook` ENABLE KEYS */;

--
-- Table structure for table `wm_invitations`
--

DROP TABLE IF EXISTS `wm_invitations`;
CREATE TABLE `wm_invitations` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo_id` int(11) default NULL,
  `pseudo_parent_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wm_invitations`
--


/*!40000 ALTER TABLE `wm_invitations` DISABLE KEYS */;
LOCK TABLES `wm_invitations` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wm_invitations` ENABLE KEYS */;

--
-- Table structure for table `wm_invitemessages`
--

DROP TABLE IF EXISTS `wm_invitemessages`;
CREATE TABLE `wm_invitemessages` (
  `id` int(11) NOT NULL auto_increment,
  `invitetext` text,
  `lang` varchar(6) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wm_invitemessages`
--


/*!40000 ALTER TABLE `wm_invitemessages` DISABLE KEYS */;
LOCK TABLES `wm_invitemessages` WRITE;
INSERT INTO `wm_invitemessages` VALUES (1,'dear user, you are invited in trusted forum system, please push link below and enjoy!','en'),(2,'????????? ????????????, ?? ???????? ???????????, ????????? ???????? ?????? ????? ?????????????? ? ????? ????????????? ??????? ??????, ????? ?????? ?????????? ???? ? ?????????????!','ru');
UNLOCK TABLES;
/*!40000 ALTER TABLE `wm_invitemessages` ENABLE KEYS */;

--
-- Table structure for table `wm_problems`
--

DROP TABLE IF EXISTS `wm_problems`;
CREATE TABLE `wm_problems` (
  `id` int(11) NOT NULL auto_increment,
  `pseudo_id` int(11) default NULL,
  `problem` longtext,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `wm_problems`
--


/*!40000 ALTER TABLE `wm_problems` DISABLE KEYS */;
LOCK TABLES `wm_problems` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `wm_problems` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;

