<?php if (!defined('IN_GLS')) exit('No direct script access allowed');


function messages_pages ($threadid, $user, $type)
    {
        global $gls, $smarty;
        
        if(isset($_GET['pagenum'])) $num_page = intval($_GET['pagenum']);
        elseif (isset($_POST['pagenum'])) $num_page = intval($_POST['pagenum']); 
        else $num_page = 1;
        if ($num_page < 1) $num_page = 1;
        $quantity = $gls->quantity_pages($threadid, $user, $type);
        if($quantity > 1)
        {  
            if($num_page > 1) 
            {
                $smarty->assign('prev_page', $num_page-1);
                $smarty->assign('first_page', 1);
            }
            if($num_page < $quantity) 
            {
                $smarty->assign('next_page', $num_page+1);
                $smarty->assign('last_page', $quantity);
            }
            for ($i=1; $i <= $quantity; $i++)
            {
                $pages[$i] = $i;            
            }

            $smarty->assign('num_pages', $pages);
            $smarty->assign('num_cur_page', $num_page);
      }
      return $num_page;        
    }

if (isset($_GET['mode'])){

  switch ($_GET['mode']) {
    case 'threads':
    $sql="SELECT * FROM `gls_threads` WHERE forum_id=".intval($_GET['forumid']);
    $smarty->assign('threads', $gls->sql_getAll($sql));
    $smarty->assign('foruminfo',$gls->foruminfo($_GET['forumid'],0));
    break;

    case 'message':
    $foruminfo=$gls->foruminfo($_GET['forumid'],0);
    $cur_page = messages_pages($_GET['threadid'], $_SESSION['finf']['userid'], 'admin');
    $messages=$gls->getmessageslist($_GET['threadid'], $_SESSION['finf']['userid'], $cur_page, 'admin');
    $smarty->assign('messages', $messages);
    $smarty->assign('foruminfo', $foruminfo);
    $sql="SELECT * FROM `gls_threads` WHERE `id`=".intval($_GET['threadid']);
    $smarty->assign('threadinfo', $gls->sql_getOne($sql));
    $smarty->assign('is_mess_list', true);
    break;

    case 'delete':
    if (isset($_GET['forumid'])){
      $id=intval($_GET['forumid']);
      $sql="DELETE FROM `gls_messages` WHERE `forum_id`=".$id;
      $gls->sql_query($sql);
      $sql="DELETE FROM `gls_threads` WHERE `forum_id`=".$id;
      $gls->sql_query($sql);
      $sql="DELETE FROM `gls_forums` WHERE `id`=".$id;
      $gls->sql_query($sql);
    }
    break;

    case 'changename':
    if (isset($_GET['id'])){
      $id=intval($_GET['id']);
      if (($gls->mysql_count('gls_forums', "`name`='".mysql_escape_string($_GET['newname'])."' AND id<>".$id)==0)){
        $sql="UPDATE `gls_forums` SET `name`='".mysql_escape_string($_GET['newname'])."' WHERE `id`=".$id;
        $gls->sql_query($sql);
      }else{
        $smarty->assign('error',$smarty->_tpl_vars['ct']['62']);
      }
    }
    break;

    case 'addforum':
    if ((isset($_POST['mode']))and($_POST['mode']=='addnewforum')){
      if (!$gls->mysql_count('gls_forums', "`name`='".mysql_escape_string($_POST['newname'])."'")) {
        $_GET['id']=$gls->createforum($_POST['userid'],$_POST['newname'],$_POST['pseudoid'],$_POST['folderid'],$_POST['com'],$_POST['com2'], $_POST['forumAccess']);
        header("Location: ?action=forumsettings");
      } else {
        $smarty->assign('error',$smarty->_tpl_vars['ct']['62']);
      }
    }
    if (isset($_GET['user'])){
      $userid=intval($_GET['user']);

      $smarty->assign('folderslist',$gls->getfolderslist($userid));
      $smarty->assign('pseudoslist',$gls->getpseudoslist($userid));
    }
    break;

    case 'movetoforum':
      $sql="SELECT * FROM `gls_forums` ORDER BY id DESC";
      $smarty->assign('forums',$gls->sql_getAll($sql));
    break;

    case 'movetothread':
    if ($gls->threadsexist($_GET['forumid'])){
      $sql="SELECT * FROM `gls_threads` WHERE forum_id=".intval($_GET['forumid']);
      $smarty->assign('threads',$gls->sql_getAll($sql));
    }else{
      $sql="SELECT * FROM `gls_threads` WHERE `forum_id`=".intval($_GET['forumid']);
      $thread=$gls->sql_getOne($sql);
      
      $sql="UPDATE `gls_messages` SET `forum_id`=".intval($_GET['forumid']).", `thread_id`=".intval($thread['id'])." WHERE id=".intval($_GET['messid']);
      $gls->sql_query($sql);
      header('Location: admin.php?action=forumsettings&mode=message&forumid='.intval($_GET['forumid']).'&threadid='.intval($thread['id']));
    }
    break;
    
    case 'movemessage':
      $sql="UPDATE `gls_messages` SET `forum_id`=".intval($_GET['forumid']).", `thread_id`=".intval($_GET['threadid'])." WHERE id=".intval($_GET['messid']);
      $gls->sql_query($sql);
      header('Location: admin.php?action=forumsettings&mode=message&forumid='.intval($_GET['forumid']).'&threadid='.intval($_GET['threadid']));
    break;
    
    case 'access':
    if (isset($_GET['f'])){
      switch ($_GET['f']) {
        case 'setinv':
        $user=explode("|", @$_GET['id']);
        $gls->set_inv($user[0],$user[1],$_GET['forumid'],$_GET['invview']);
        break;

        case 'delete':
        $user=explode("|", @$_GET['pseudoid']);
        $gls->deleteinvite($user[1],$user[0],$_GET['forumid']);
        break;

        case 'setperm':
        $user=explode("|", @$_GET['id']);
        $owner=$gls->getForumOwner($_GET['forumid']);
        $res=$gls->invitebyiddeny($user[1], $user[0],$_GET['perm'],$_GET['forumid'],$_GET['bypid'],$owner['id']);
        break;

        case 'setowner':
        $pseudoid=$gls->getpseudoidbyname(@$_GET['pseudoname']);
        if ($pseudoid){
          $userid=$gls->pseudo2userid($pseudoid);
          $foruminfo=$gls->foruminfo(@$_GET['forumid'],0);
          
          $gls->set_user_all_rights($_GET['forumid'], $foruminfo['pseudo_id'], 0); 
          
          if ($foruminfo['user_id']==$userid){
            $sql="UPDATE `gls_forums` SET `pseudo_id`='".intval($pseudoid)."', `user_id`='".intval($userid)."' WHERE id=".intval(@$_GET['forumid']);
          }else{
            $sql="SELECT * FROM gls_folders WHERE user_id=".$userid." AND `type`='MainBox'";
            $folder=$gls->sql_getOne($sql);
            $sql="UPDATE `gls_forums` SET `pseudo_id`='".intval($pseudoid)."', `user_id`='".intval($userid)."', folder_id=".$folder['id']." WHERE id=".intval(@$_GET['forumid']);
          }
          $gls->sql_query($sql);

        }else{
          $smarty->assign('error',$smarty->_tpl_vars['ct']['75']);
        }
        break;

        default:
        break;
      }
    }

    if (($_GET['mode']=='access')and(isset($_GET['forumid']))){
      $forumid=$_GET['forumid'];
      $foruminfo=$gls->foruminfo($forumid,0);
      $userid=$foruminfo['user_id'];

      $pseudo=array();
      $gls->getPseudosName($pseudo);

      $gls->getrightslist($forumid, $userid, $rights, $pseudo);

      $access=array(ACCESS_ADMIN=>'admin',
      ACCESS_WRITE=>'write',
      ACCESS_READ=>'read',
      ACCESS_DENY=>'deny',
      ACCESS_OWNER=>'owner',
      );
      $smarty->assign('access',$access);
      $pseudos=$gls->getpseudoslist($userid);

      $query="SELECT * FROM `gls_email`";
      $res=$gls->sql_getAll($query);
      $emails=array();
      foreach ($res as $v) {
        $emails[$v['id']]=$v;
      }
      $smarty->assign('emails',$emails);

      foreach ($pseudos as $k => $v) {
        $pseudos[$k]['access']=$gls->getpseudosrights($pseudos[$k]['id'],$forumid);
      }

      foreach ($rights as $k=>$user)
      {
        if($user['level'] == 'o')
        {
            $buf_user = $user;
            continue;
        }
        
        if($user['host_id'] == $buf_user['host_id'] && $user['pseudo_id'] == $buf_user['pseudo_id'])
        {
            unset($rights[$k]);
        }           
      }
      
      $smarty->assign_by_ref('rights',$rights);
      $smarty->assign_by_ref('pseudos',$pseudo);
      $smarty->assign('root','Y');
      //
      //        $smarty->assign('place2',$gls->foruminfo($_GET['id'],0));
      //
      //        $smarty->assign('forumid',$_GET['id']);
      $smarty->assign('pseudoslist',$pseudos);
      $smarty->assign('pseudosrights',$gls->getpseudosrights($userid,$forumid));
      $smarty->assign('contactlist',$gls->getcontactlist($userid));
      $smarty->assign('foruminfo',$foruminfo);
    }
    break;

    default:
    break;
  }

}else{
  $sql="SELECT * FROM `gls_users` ORDER BY `login` ASC";
  $smarty->assign('users',$gls->sql_getAll($sql));

  $sql="SELECT * FROM `gls_forums` ORDER BY id DESC";
  $smarty->assign('forums',$gls->sql_getAll($sql));
}

?>