<?php

function bookmark_goToUrl($url, $hostId, $ourHostId) {
	global $glsDba;
	
	$pseudo = $_SESSION['finf']['pseudo'];
	$str = _newRandomString(32);
	$glsDba->tryRemoteSession($_SESSION['finf']['userid'], $hostId, $str);

	$url .= strpos($url, "?")>0 ? "&" : "?";
	$url .= "pseudo=$pseudo&bookmarkstr=$str&hostid=$ourHostId";
	header("Location: $url");
	exit;
}

function bookmark_go($address) {
	global $glsDba;
	
	$pos = strpos($address, '/');
	$location = substr($address, $pos+1);
	$name = substr($address, 0, $pos);
	$host = $glsDba->getHostByName($name);
	
	bookmark_goToUrl($host['address_base'].$location, $host['id'], $host['our_host_id']);
}

function bookmark_goToId($id) {
	global $glsDba;

	$bookmark = $glsDba->getBookmark($id);
	bookmark_goToUrl($bookmark['address_base'].$bookmark['url'], $bookmark['host_id'], $bookmark['our_host_id']);
}

function bookmark_goToDefault($hostId) {
	global $glsDba;

	$host = $glsDba->getHost($hostId);
	bookmark_goToUrl($host['address_base'].$host['bookmark_url'], $host['id'], $host['our_host_id']);
}

function _newRandomString() {
  return md5(uniqid(rand(), true));
/*	$randStr = '';
	while( $len-- > 0 ) {
		$randStr .= chr(mt_rand( 97, 122 ));
	}
	return $randStr;
*/}

function remote_bookmark_checkUser($pseudo, $randomString) {
	global $glsDba;

	$userId = $glsDba->getUserIdByPseudo(mysql_escape_string($pseudo));
	$host = $glsDba->getHostByGlsUrl(mysql_escape_string($_SERVER['HTTP_USER_AGENT']));

	$session = $glsDba->getRemoteSession($userId, $host['id']);

	if ($randomString == $session['rand_string']) {
		$glsDba->startRemoteSession($session['id']);
		return true;
	}
	return false;
}

function remote_bookmark_add($url, $title, $pseudo) {
	global $glsDba;

	$userId = $glsDba->getUserIdByPseudo(mysql_escape_string($pseudo));
	$host = $glsDba->getHostByGlsUrl(mysql_escape_string($_SERVER['HTTP_USER_AGENT']));

	bookmark_add(mysql_escape_string($url), mysql_escape_string($title), $userId, $host['id']);
}

function remote_bookmark_add_url($uri, $userid) {
	global $glsDba;
	global $gls;

	$host = $glsDba->getHostByGlsUrl(mysql_escape_string($_SERVER['HTTP_USER_AGENT']));
	if  (!$host){
	  return false;
	}
	
	$gls->bookmark_add_url($uri,$userid,$host['id']);

	return true;
}

function bookmark_add($url, $title, $userId, $hostId) {
	global $glsDba;
	
	$glsDba->addBookmark($url, $title, $userId, $hostId);
}

function remote_bookmark_closeRemoteSession($pseudo) {
	global $glsDba;

	$userId = $glsDba->getUserIdByPseudo(mysql_escape_string($pseudo));
	$host = $glsDba->getHostByGlsUrl(mysql_escape_string($_SERVER['HTTP_USER_AGENT']));

	$session = $glsDba->getRemoteSession($userId, $host['id']);
	$glsDba->endRemoteSession($session['id']);
}

?>