<?php

/**
 *  .    (   
 *    messages.php )     
 *      {0},{1}...  ..   IMessage.
 */

class Error {

    var $sKey = null;
	var $aValues = array();

    /**
     * @param string          $key    Message key for this error message
     * @param array  optional $values Placeholders for this error message
     */
    function Error($sKey, $aValues = array()) {
		$this->sKey    = $sKey;
		$this->aValues = (array) $aValues;
    }

    // Public Methods

    function getKey() {
        return $this->sKey;
    }

    function setValues($aValues = array()) {
		$this->aValues = (array) $aValues;
    }
    function getValues() {
        return $this->aValues;
    }

	function getMessage() {
		require_once 'common/IMessage.class.php';
		return IMessage::format($this->getKey(), $this->getValues());
	}

}

?>
