<?php

class Validator {
	var $sErrorCode;

	function & singleton()
	{
		static $oInctance = null;
		if( null === $oInctance )
        	$oInctance = new Validator();
		return $oInctance;
	}

	function isValid(&$mData, $aShema) {

	        if( !isSet($mData) and iSset($aShema['default']) )
            	$mData = $aShema['default'];

        	if( !isSet($mData) and iSset($aShema['required']))
        		return $this->_raiseError('required');

	        if( getType($mData) == 'string' and !setType($mData, $aShema['type']))
	            return $this->_raiseError('type');

        	if( isSet($aShema['type']) and ( getType($mData) != $aShema['type']))
        		return $this->_raiseError('type');

        	if( isSet($aShema['pattern']) and !preg_match($aShema['pattern'],$mData) )
        		return $this->_raiseError('pattern');

        	if( isSet($aShema['min']) and $aShema['min'] > $mData )
        		return $this->_raiseError('min');

        	if( isSet($aShema['max']) and $aShema['max'] < $mData )
        		return $this->_raiseError('max');

        	if( isSet($aShema['minLength']) and $aShema['minLength'] > strlen($mData) )
        		return $this->_raiseError('minlen');

        	if( isSet($aShema['maxLength']) and $aShema['maxLength'] < strlen($mData) )
        		return $this->_raiseError('maxlen');

        	if( isSet($aShema['enum']) and !in_array($mData,$aShema['enum']) )
        		return $this->_raiseError('enum');

           	return true;
	}

	function _raiseError($sErrorCode) {
		$this->sErrorCode = $sErrorCode;
		return false;
	}

	function getErrorCode() {
		return $this->sErrorCode;
	}
}
?>