<?
/*
##################################################
#
#    WebMail library
#    A part of Trust-Forum project
#    Copyright (C) 2005  www.php.by
#
#    This library is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This library is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#    or mailto:  info@php.by
#
##################################################
*/
	include ('common.php') ;
	include ('PEAR.php') ;
	include ('DB.php') ;
	include_once ('webmail.class.php') ;

	$pseudo=$top=$pseudo_;
	if (isset ($_GET['pseudo'])) $pseudo = $_GET['pseudo'] ;

	if (isset ($_GET['top'])) $top = $_GET['top'] ;

	$db = new DB () ;
	$link = $db->connect ("mysql://".DBUSER.":".DBPASS."@".DBHOST."/".DBNAME) ;
	$admin = isAdmin ($link, $userid_) ;

	if (isset ($_GET['box']) && ($admin=='Y'))
	{
		$box = $_GET['box'] ;
		$names = $_GET['names'] ;
		foreach ($names as $k=>$v)
		{
			if (isset($box[$k])) $can_invite = 'Y' ;
				else $can_invite = 'N' ;
			$name = $v ;
			$sql = "UPDATE forums_pseudos SET can_invite=? WHERE name=?" ;
			$prepStatement = $link->prepare ($sql) ;

			$link->execute ($prepStatement, array($can_invite, $name)) ;
		}
	}

	$a = loginCheck ($link, $admin, $pseudo, $top) ;
	if (!$a)
	{
		$pseudo = $pseudo_ ;
		$top = $pseudo_ ;
	}

		if (isset ($_GET['action_sub']) && $_GET['action_sub']=='morethan')
		{
			$chain = getMorethan ($link, $_POST['morethan']) ;
			$problems = array () ;
		}
		else
		{
			$problems = getProblems ($link, $pseudo) ;
			if ($admin=='Y') { $chain = getChain ($link, $pseudo) ; if (count($chain)==0) $pseudo = "incorrect pseudo" ; }
			elseif ($top==$pseudo) { $child = getChild ($link, $pseudo) ; if ($child=="aaa") {$pseudo = "incorrect pseudo"; $child=array();} }
		}

	function isAdmin ( $link, $id )
	{
		$ret = $link->getOne ("select admin from forums_users where id=$id") ;
		if ($ret == 'Y') return 'Y' ;
		else return 'N' ;
	}

	function getChain ($link, $pseudo)
	{
		$ret = $link->getOne ("select id from forums_pseudos where name='$pseudo'") ;
		if (isset ($ret)) $id = $ret ;
		else return array () ;
		$nextid = $id ;
		do
		{
			$id = $nextid ;

			$ret = $link->getOne ("select name from forums_pseudos where id=$id") ;
			$pseudo = $ret ;
			$ret = $link->getOne ("SELECT user_id FROM forums_pseudos WHERE id=$id") ;
			$ret = $link->getOne ("SELECT login FROM forums_users WHERE id=$ret") ;
			$user = $ret ;
			$ret = $link->getOne ("select pseudo_parent_id from wm_invitations where pseudo_id=$id") ;
			$nextid = $ret ;

			$ret = $link->getOne ("SELECT can_invite FROM forums_pseudos WHERE name='$pseudo'") ;
			if ($ret=='Y') $can_invite = 'Y' ;
			else $can_invite = 'N' ;

			$tmp['name'] = $pseudo ;
			$tmp['user'] = $user ;
			$tmp['num']  = getProblemNumber ($link, $id) ;
			$tmp['can_invite'] = $can_invite ;
			$arr[] = $tmp ;

		} while ($nextid != 0) ;
		return $arr ;
	}

	function getProblems ( $link, $pseudo )
	{
		$id = $link->getOne ("SELECT id FROM forums_pseudos WHERE name='$pseudo'") ;
		if (isset ($id) && !is_object($id))
		{
			$ret = getProblemsInfo ($link, $id) ;
			if ($ret==array()) return array (array('name'=>$pseudo, 'text'=>'no associated problems'));
			return $ret ;
		}
		else return array () ;
	}

	function getChild ( $link, $pseudo )
	{
		$id = $link->getOne ("SELECT id FROM forums_pseudos WHERE name='$pseudo'") ;
		if (!isset($id) || is_object($id)) return "aaa" ;
		$tmpr = $link->getAll ("SELECT pseudo_id FROM wm_invitations WHERE pseudo_parent_id=$id") ;
		foreach ($tmpr as $k=>$v) $tmpr[$k] = $tmpr[$k][0] ;
		for ($i=0; $i<count($tmpr); $i++)
		{
			$tmp[] = $link->getAll ("SELECT name, id FROM forums_pseudos WHERE id={$tmpr[$i]}") ;
			$ccc = $link->getOne ("SELECT user_id FROM forums_pseudos WHERE id={$tmpr[$i]}") ;
			$user[] = $link->getOne ("SELECT login FROM forums_users WHERE id=$ccc") ;

		}
		foreach ($tmp as $k=>$v) foreach ($v as $a=>$b) $res[] = $b ;
		$ret = array () ;
		if (isset ($res))
		for ($i=0; $i<count ($res); $i++)
		{
			$ret[$i]['name'] = $res[$i][0] ;
			$ret[$i]['user'] = $user[$i] ;
			$ret[$i]['num']  = getProblemNumber ($link, $res[$i][1]) ;
		}
		return $ret ;
	}

	function getProblemNumber ( $link, $id )
	{
		$tmp = $link->getOne ("SELECT COUNT(*) FROM wm_problems WHERE pseudo_id=$id") ;
		if (is_object ($tmp)) return 0 ;
		$ret = $link->getAll ("SELECT pseudo_id FROM wm_invitations WHERE pseudo_parent_id=$id") ;
		for ($i=0; $i<count($ret); $i++)
		{
			$tmp += getProblemNumber ($link, $ret[$i][0]) ;
		}
		return $tmp ;
	}

	function getProblemsInfo ( $link, $id )
	{
		$res = $link->getAll ("SELECT problem FROM wm_problems WHERE pseudo_id=$id") ;
		$name = $link->getOne ("SELECT name FROM forums_pseudos WHERE id=$id") ;
		if (is_object($name)) return array () ;

		$buf = $link->getOne ("SELECT user_id FROM forums_pseudos WHERE id=$id") ;
		$user = $link->getOne ("SELECT login FROM forums_users WHERE id=$buf") ;
		$ret=array();
		foreach ($res as $v)
		{
			$tmp['name'] = $name ; $tmp['text'] = $v[0] ; $ret[] = $tmp ;
		}
		$res = $link->getAll ("SELECT pseudo_id FROM wm_invitations WHERE pseudo_parent_id=$id") ;
		for ($i=0; $i<count($res); $i++)
		{
			$ret = array_merge ($ret, getProblemsInfo ($link, $res[$i][0])) ;
		}
		return $ret ;
	}

	function loginCheck ( $link, $admin, $pseudo, $top )
	{
		if ($admin == 'Y')
		{
			return TRUE ;
		}
		else
		{
			$ret = $link->getOne ("select id from forums_pseudos where name='$pseudo'") ;
			if (isset($ret) && !is_object($ret)) $id = $ret ;
			else return FALSE ;
			$ret = $link->getOne ("select id from forums_pseudos where name='$top'") ;
			if (isset($ret) && !is_object($ret)) $topid = $ret ;
			else return FALSE ;
			$nextid = $id ;
			do
			{
				$id = $nextid ;

				$ret = $link->getOne ("select name from forums_pseudos where id=$id") ;
				$pseudo = $ret ;

				$ret = $link->getOne ("select pseudo_parent_id from wm_invitations where pseudo_id=$id") ;
				$nextid = $ret ;
				if ($nextid == $topid) return TRUE ;
			} while ($nextid != 0) ;
			return FALSE ;
		}
		return FALSE ;
	}

		function gmt_func($left, $right)
		{
			return $left['num'] - $right['num'] ;
		}

	function getMorethan ( $link, $num )
	{
		$res = $link->getAll ("SELECT name, id FROM forums_pseudos") ;


		foreach ($res as $v)
		{
			$i = getProblemNumber ($link, $v[1]) ;
			if ($i >= $num)
			{
				$buf = $link->getOne ("SELECT user_id FROM forums_pseudos WHERE id={$v[1]}") ;
				$user = $link->getOne ("SELECT login FROM forums_users WHERE id=$buf") ;
				$tmp['name'] = $v[0] ;
				$tmp['user'] = $user ;
				$tmp['num'] = $i ;
				$ret[] = $tmp ;
			}
		}
		uasort ($ret, "gmt_func") ;
 		return $ret ;
	}

	$folder = INBOX ;
	$mbox = new Webmail($string) ;
	$mbox->charset = 'UTF-8';
	$folders = $mbox->getFolders();

//	$invite = new Invite ;
	$smarty->assign ('folder', $folder) ;
	$smarty->assign ('folders', $folders) ;

	$smarty->assign ('user', $user_) ;
	$smarty->assign ('pseudo', $pseudo) ;
	$smarty->assign ('top', $top) ;
	$smarty->assign ('problems', $problems) ;
	$smarty->assign ('admin', $admin) ;
	$smarty->assign ('server', "http://".$_SERVER['SERVER_NAME']) ;
	if (isset ($_POST['morethan'])) $smarty->assign ('morethan', 'Y') ;
	else $smarty->assign ('morethan', 'N') ;

	if ($admin=='Y') $smarty->assign ('chain', $chain) ;
	else if (isset($child)) $smarty->assign ('child', $child) ;
//	$smarty->assign ( 'interface_lang', $_SESSION["interface_lang"]) ;
	$smarty->assign ( 'interface_lang', 'en') ;

	$smarty->display ('wminvitations.tpl') ;
?>