<?php

//include_once ('PEAR.php') ;
//include_once ('DB.php') ;

class WebMail
{

var $mbox = null;
var $charset = null;
var $folder = INBOX ;
var $inbox = INBOX ;
var $delim = DELIMETER ;
var $mboxInfo = array() ;
var $farray = array(0=>'',1=>'.sent',2=>'.draft',3=>'.trash') ;
var $rules = null;
var $connect ;

var $error="OK" ;


function WebMail($connection = NULL, $options = NULL)
{
	return 0 ;
	if (is_resource($connection))
	{
		if (get_resource_type($connection) == 'imap')
		{
			$this->mbox = $connection;
			$ret = TRUE;
		}
		else
		{
			//$ret = PEAR::raiseError('WebMail: Supplied resource is not a valid IMAP stream.');
			$ret = 0;
		}
	}
	else
	{
		$ret = ($connection == NULL)? NULL : WebMail::connect($connection, $options);
	}
	if ($ret != TRUE) return $ret ;
	if($this->folder == INBOX)
	{
		if(is_resource($this->mbox))
		{
			$db = new DB();
			$link = $db->connect("mysql://".DBUSER.":".DBPASS."@".DBHOST."/".DBNAME);
			$ret = $link->getAll('SELECT field_name,operator,value,folder,action FROM wm_rules wmr,wm_users wmu WHERE wmu.id=wmr.user_id and wmu.login=\''.$this->mboxInfo['user'].'\'');
			for($i=0; $i<count($ret); $i++)
			{
				$tmp['field'] = $ret[$i][0]; $tmp['operator'] = $ret[$i][1] ;
				$tmp['value'] = $ret[$i][2]; $tmp['folder'] = $ret[$i][3] ;
				$tmp['action'] = $ret[$i][4];
				$this->rules[] = $tmp;
			}
		}
		$messages = WebMail::getMessages();
		$ids = array();
		$count = 0;
		for($i=0; $i<count($this->rules); $i++)
		{
			$rule = $this->rules[$i];
			$outArray[$rule['folder']] = array();
			for($j=0; $j<count($messages); $j++)
			{
				$what = $messages[$j]['headers'][$rule['field']];
				if($what == '')
				{
					$what = $messages[$j]['headers'][ucfirst($rule['field'])];
				}
				if(preg_match("/".$rule['value']."/i", $what))
				{
					$outArray[$rule['folder']][] = $messages[$j]['headers']['Msgno'];
				}
			}
		}
		WebMail::applyRules($outArray);
	}
	return $ret;
}

function connect($connect, $options = NULL)
{
	return 0 ;
	if (!class_exists('Net_URL'))
	{
		if (!@include_once('Net/URL.php'))
		{
			return PEAR::raiseError('WebMail::connect: Inclusion of Net_URL not successful.');
		}
	}
	if (isset($this->option['open']))
	{
		$options = $this->option['open'];
	}
	$url =& new Net_URL ($connect) ;
	$connect = '{'.$url->host ;
	if (!empty ($url->port))
	{
		$connect .= ':'.$url->port ;
	}

	$connect .= ('s' == (substr($url->protocol, -1)))? '/'.substr($url->protocol, 0, 4).$secure : '/'.$url->protocol;
	$secure = ('tls' == substr($url->anchor, 0, 3))? '' : '/ssl';
	$connect .= '/notls' ;

	if (!empty($url->anchor))
	{
		$connect .= '/'.$url->anchor;
	}
	$connect .= '}';
	$this->mboxInfo['host'] = $connect;
	$this->connect = $connect ;
	if (!empty($url->path))
	{
		$this->mboxInfo['folder'] = substr($url->path, 1, (strlen($url->path) - 1));
		$connect .= $this->mboxInfo['folder'];
	}
	$this->mboxInfo['user'] = urldecode($url->user);
	$url->user .= "@php.by" ; /* name = name@php.by */
	// echo "{$url->user}<hr>";die;
	$ret = (FALSE === ($this->mbox = @imap_open($connect, urldecode($url->user), $url->pass, $options))) ?
		PEAR::raiseError('Mail_IMAP::connect: Unable to build a connection to the specified mail server.') : TRUE;
	if (is_object ($ret)) $this->error = "can't connect" ;
	return $ret;
}

function applyRules($inArray)
{
	return 1 ;
	if(is_array($inArray))
	{
		$folders = WebMail::getFolders();
		for($i=0; $i<count($folders); $i++)
		{
			$names[] = $folders[$i]['name'];
		}
		foreach($inArray as $key => $value)
		{
			if(!in_array($key,$names))
			{
				WebMail::createSubFolder($key);
			}
			$folder = INBOX.DELIMETER.$key;
			WebMail::moveMessages($value,$folder);
		}
		WebMail::expungeMessages();
	}
	return 1;
}


function getMboxInfo()
{
	if(is_resource($this->mbox) && (get_resource_type($this->mbox) == 'imap'))
	{
		if($mboxinfo = imap_mailboxmsginfo($this->mbox))
		{
			$ret = $mboxinfo;
		}
		else
		{
			$ret = PEAR::raiseError('WebMail::getMboxInfo Can\'t retrieve mailbox info.');
		}
	}
	else
	{
		$ret = PEAR::raiseError('WebMail::getMboxInfo Supplied resource is not a valid IMAP stream.');
	}
	return $ret;
}


function getFolders()
{
	return 0 ;
	$flist = imap_listmailbox($this->mbox,$this->mboxInfo['host'],"*");
	$farray = $this->farray;
	for($i=0; $i<count($farray); $i++)
	{
		$fname = $this->connect.$this->inbox.$farray[$i];
		if(!@in_array($fname,$flist))
		{
			imap_createmailbox($this->mbox,imap_utf7_encode($fname));
			$rescan = 1;
		}
	}
	if($rescan )
	{
		$flist = imap_listmailbox($this->mbox,$this->mboxInfo['host'],"*");
	}
	for($i=0; $i<count($flist); $i++)
	{
		$arr['name'] = str_replace($this->mboxInfo['host'].$this->inbox,'',$flist[$i]);
		if (!in_array ($arr['name'], $farray))
		{
			$tstr = $this->mboxInfo['host'].$this->inbox.".___" ;
			if (strncmp ($flist[$i], $tstr, strlen ($tstr))) continue ;
		}
		$arr['name'] = INBOX.$arr['name'] ;
		$mbinfo = imap_status($this->mbox,$this->mboxInfo['host'].$arr['name'],SA_ALL);
		$arr['unread'] = $mbinfo->unseen;
		$arr['total'] = $mbinfo->messages;
		$ret[] = $arr ;
	}
	$ret = WebMail::sortFolders($ret);
	return $ret;
}

function sortFolders($inArray)
{
	if(is_array($inArray))
	{
		$outArray = array('','','','');
		for($i=0; $i<count($inArray); $i++)
		{
			$name = ($inArray[$i]['name']);

			switch ($name)
			{
				case 'INBOX': $outArray[0] = $inArray[$i];break;
				case 'INBOX.sent': $outArray[1] = $inArray[$i];break;
				case 'INBOX.draft': $outArray[2] = $inArray[$i];break;
				case 'INBOX.trash': $outArray[3] = $inArray[$i];break;
			}
		}
		for($i=0; $i<count($inArray); $i++)
		{
			$name = ($inArray[$i]['name']);
			if ($name=='INBOX'||$name=='INBOX.sent'||$name=='INBOX.draft'||$name=='INBOX.trash') continue;
			$outArray[] = $inArray[$i] ;
		}
	}
	return $outArray;
}



function getMessages($minfo = null)
{
	$minfo = WebMail::getMboxInfo();
	if(is_object($minfo) )
	{
		$mcount = $minfo->Nmsgs;
		for($i=$mcount; $i>0; $i--)
		{
			$message = imap_headerinfo($this->mbox,$i);
			$msgs[$i] = WebMail::parseHeaders($message);
//			echo serialize ($msgs[$i]['headers'])."<HR>" ;
			$attach = imap_fetchstructure($this->mbox,$i);
			$msgs[$i]['attach'] = Webmail::scanAttach($attach,$i);
//			echo $msgs[$i]['headers']['subject']."<BR>" ;
		}
		return $msgs ;
	}
	else
	{
		$ret = PEAR::raiseError('WebMail::getMboxInfo Can\'t retrieve mailbox info.');
		return $ret;
	}
}

function getMessage($minfo = null, $i)
{
	$minfo = WebMail::getMboxInfo();
	if(is_object($minfo) )
	{
		$message = imap_headerinfo($this->mbox,$i);
		$msgs = WebMail::parseHeaders($message);
		$attach = imap_fetchstructure($this->mbox,$i);
		$msgs['attach'] = Webmail::scanAttach($attach,$i);
		return $msgs;
	}
	else
	{
		$ret = PEAR::raiseError('WebMail::getMboxInfo Can\'t retrieve mailbox info.');
		return $ret;
	}
}

function getAttach($mid,$pid)
{
	$mess = imap_fetchbody($this->mbox,$mid,$pid);
	$struct = imap_fetchstructure($this->mbox,$mid);
	$part = $struct->parts[$pid-1];
	//print_r($part);die;
	$ret['type'] = WebMail::getAttType($part->type,$part->subtype);
	$ret['size'] = $part->bytes;
	if($part->dparameters) $ret['name'] = $part->dparameters[0]->value;
	else $ret['name'] = $part->parameters[0]->value;
	$ret['encoding'] = WebMail::getAttEncoding($pid);
	$ret['content'] = $mess;
	return $ret;
}

function getAttaches($mid){
$message = imap_fetchstructure($this->mbox,$mid);
print_r($message);die;
if(is_object($message) && !empty($message->parts)){
$charset = $message->parts[0]->parameters[0]->value;
for($i=0; $i<count($message->parts); $i++){
$pid = $message->parts[$i];
if($pid->ifdparameters && (strtolower($pid->dparameters[0]->attribute) ==
'filename')){
$lnamed = $pid->dparameters[0]->value;
$lnamed = iconv($charset,$this->charset,$lnamed);
}
if($pid->ifparameters && (strtolower($pid->parameters[0]->attribute) ==
'name')){
$lname = $pid->parameters[0]->value;
$lname = iconv($charset,$this->charset,$lname);
}
$att['name'] = ($lname ? $lname : $lnamed);
$att['size'] = $pid->bytes;
$att['type'] = WebMail::getAttType($pid->type,$pid->subtype);
$att['encoding'] = WebMail::getAttEncoding($pid->encoding);
$att['mid'] = $mid;
$att['pid'] = $i+1;
if($att['name'] != '') {
$att['content'] = imap_fetchbody($this->mbox,$mid,$att['pid']);
$ret[] = $att;
}
}
}
return $ret;
}

function getBody ( $mid )
{
	$headers = imap_fetchstructure ($this->mbox,$mid) ;
	if (in_array (strtolower ($headers->subtype), array ('alternative', 'mixed','multipart' )))
	{
		$parts = $headers->parts ;
		for($pid=0; $pid<count($parts); $pid++)
		{
			$part = $parts[$pid];

			if(in_array(strtolower($part->subtype), array(0=>'plain')) &&
				!$part->ifdparameters && $part->ifparameters)
			{
				$body = imap_fetchbody($this->mbox,$mid,($pid+1));
				if(strtolower(($part->parameters[0]->attribute)) == 'charset')
				{
					$charset = strtoupper ($part->parameters[0]->value) ;
					if(($charset != 'default')&&($charset != $this->charset))
						$body = iconv($charset,$this->charset,$body);
				}
				$body = htmlspecialchars($body);
			}
		}

	}
	else
	{
		$body = imap_body($this->mbox,$mid);
		if(strtolower(($headers->parameters[0]->attribute)) == 'charset')
		{
			$charset = strtoupper ($headers->parameters[0]->value);
			if (($charset != 'default')&&($charset != $this->charset))
				$body = iconv($charset,$this->charset,$body);
		}
		$body = htmlspecialchars($body);
	}
	return $body;
}

function scanAttach($message,$mid){
if(is_object($message) && !empty($message->parts)){
//print_r($message);die;
$charset = $message->parts[0]->parameters[0]->value;
for($i=0; $i<count($message->parts); $i++){
$pid = $message->parts[$i];
if(strtolower($pid->subtype) != 'plain'){
if($pid->ifdparameters && (strtolower($pid->dparameters[0]->attribute) ==
'filename')){
$lnamed = $pid->dparameters[0]->value;
$lnamed = iconv($charset,$this->charset,$lnamed);
}
if($pid->ifparameters && (strtolower($pid->parameters[0]->attribute) ==
'name')){
$lname = $pid->parameters[0]->value;
$lname = iconv($charset,$this->charset,$lname);
}
} else {
if($pid->ifdparameters && (strtolower($pid->dparameters[0]->attribute) ==
'filename')){
$lnamed = $pid->dparameters[0]->value;
$lnamed = iconv($charset,$this->charset,$lnamed);

} else
if($pid->ifparameters && (strtolower($pid->parameters[0]->attribute) ==
'name')){
$lname = $pid->parameters[0]->value;
$lname = iconv($charset,$this->charset,$lname);
}
}
$att['name'] = ($lname ? $lname : $lnamed);
$att['size'] = $pid->bytes;
$att['type'] = WebMail::getAttType($pid->type,$pid->subtype);
$att['encoding'] = WebMail::getAttEncoding($pid->encoding);
$att['mid'] = $mid;
$att['pid'] = $i+1;
if($att['name'] != '') { $ret[] = $att; }
}
} else {
$ret = 0;
}
return $ret;
}

function getAttEncoding($id){
$enc =
array(0=>'7BIT',1=>'8BIT',2=>'BINARY',3=>'BASE64',4=>'QUOTED-PRINTABLE',5=>'OTHER');
return $enc[$id];
}

function getAttType($type,$subtype){
$types =
array(0=>'text',1=>'multipart',2=>'message',3=>'application',4=>'audio',5=>'image',
6=>'video',7=>'other');
return $types[$type].'/'.strtolower($subtype);
}

function parseHeaders($message)
{
	if(is_object($message) && !empty($message))
	{
		//print_r($message);die;
		foreach ($message as $key => $val)
		{
			if(is_array($message->$key) )
			{
				$object = $message->$key;
				$object = $object[0];
				$val = imap_mime_header_decode($object->personal);
				$charset = $val[0]->charset;

				if($charset != 'default')
				{
					$headers['headers'][$key.'_personal'][0] = iconv($charset,$this->charset,$val[0]->text);
				}
				else
				{
					$headers['headers'][$key.'_personal'][0] = $val[0]->text;
				}
				$headers['headers'][$key][0] = imap_utf7_decode($object->mailbox.'@'.$object->host);
			}
			elseif (strtolower($key) == 'subject')
			{
				$val = imap_mime_header_decode($val);
				if(count($val)>1)
				{
					$charset = 'UTF-8';
					$multi = 1;
				}
			else
			{
				$charset = $val[0]->charset;
			}
			if(!$multi)
			{
				if($charset != 'default')
				{
					$headers['headers'][$key] = iconv($charset,$this->charset,$val[0]->text);
				}
				else
				{
					$headers['headers'][$key] = $val[0]->text;
				}
			}
			else
			{
				for($i=0; $i<count($val); $i++)
				{
					$subject .= $val[$i]->text;
				}

				$headers['headers'][$key] = $subject;
			}
		}
		else 
		{
			$headers['headers'][$key] = $val;
		}
	}
	$ret = $headers;
	}
	else
	{
		$ret = PEAR::raiseError('WebMail::parseHeaders Can\'t retrieve header info.');
	}
	return $ret;
}

function moveMessages($messages,$folder = "INBOX.trash"){
if(is_array($messages)){
$messages = implode(',',$messages);
}
if(imap_mail_move($this->mbox,$messages,$folder) or die(imap_last_error())){
return 1;
} else {
$ret = PEAR::raiseError('WebMail::moveMessages Can\'t delete message');
}
return $ret;
}

function deleteMessages($messages,$folder ='INBOX.trash'){
if(is_array($messages)){
$messages = implode(',',$messages);
}
if(imap_delete($this->mbox,$messages,$folder) or die(imap_last_error())){
return 1;
} else {
$ret = PEAR::raiseError('WebMail::moveMessages Can\'t delete message');
}
return $ret;
}


function emptyTrash()
{
	$mbinfo = WebMail::getMboxInfo () ;
	$msgcnt = $mbinfo->Nmsgs ;
	for($i=$msgcnt; $i>0; $i--)
	{
		imap_delete ($this->mbox,$i) ;
	}
	WebMail::expungeMessages () ;
	return $ret ;
}

function expungeMessages()
{
	if (imap_expunge ($this->mbox))
	{
		return true;
	}
	else return false;
}

function appendMessage($header,$body,$folder,$flags)
{
//	echo $this->mboxInfo['host']."$folder<hr>";
//	echo $flags."<hr>";die;
	if(imap_append($this->mbox,$this->mboxInfo['host'].$folder,$header."\r\n".$body."\r\n", $flags))
	{
		return 1;
	}
	else
	{
		return 0;
	}
}
function modifyFlags($folder,$mid,$flag){
return imap_setflag_full($this->mbox,$mid,$lag) or die(imap_last_error());
}

function createSubFolder($name){
$fname = imap_utf7_encode($this->mboxInfo['host'].INBOX.DELIMETER.$name);
return imap_createmailbox($this->mbox,$fname);
}

function editSubFolder($name,$oldname){
$name = imap_utf7_encode($this->mboxInfo['host'].INBOX.DELIMETER.$name);
$oldname = imap_utf7_encode($this->mboxInfo['host'].$oldname);
return imap_renamemailbox($this->mbox,$oldname,$name);
}

function deleteSubFolder($name){
$name = imap_utf7_encode($this->mboxInfo['host'].$name);
return imap_deletemailbox($this->mbox,$name);
}


}
?>
