<?php if (!defined('IN_GLS')) exit('No direct script access allowed');

// input protection

function inp_protection($item, $key)
{
  if (is_array($item))
  {
    while (list($k, $v)=each($item))
    {
//      $_GET[$key][$k]=addslashes(str_replace("'", "&#x27;", htmlspecialchars($v)));
        $_GET[$key][$k] = $v ;
    }
  }
  else
  {
        $tmp = htmlspecialchars ($item) ;
//    $_GET[$key]=addslashes(str_replace("'", "&#x27;", $tmp));
    $_GET[$key]=$item;
  }
}
array_walk($_GET,'inp_protection');
array_walk($_POST,'inp_protection');

require_once('mainconfig.php');

// DB start
require_once('dbaccesses.class.php');
$odba=new DBAccesses;


require_once('glsdba.class.php');
$glsDba=new GlsDba;

// preparations

require 'config.inc.php';
require 'gls.class.php';
require 'bookmark.inc.php';
require 'contactlist.inc.php';
require 'session.class.php';

// Nested Set
require_once('DB/NestedSet.php');
require_once('DB/DB_N.php');
$dsn = "mysql://".$mainconf['dbuser'].":".$mainconf['dbpass']."@".$mainconf['dbhost']."/".$mainconf['dbname'];

$treeParams = array(
'id'        => 'id',
'parent_id' => 'rootid',
'left_id'   => 'l',
'right_id'  => 'r',
'order_num' => 'norder',
'level'     => 'level',
//    'parent'    => 'parent'
'type'      => 'type',
'user_id'   => 'user_id',
'name'      => 'name',

);

$nestedSet =& DB_NestedSet::factory('DB', $dsn, $treeParams);
$nestedSet->setAttr(array(
'node_table' => 'gls_folders',
'lock_table' => 'gls_set_locks')
);
$treeParams['name']='Root 3';

if (!isset($_GET['action'])) {$_GET['action']='';}

$gls = new GLS($glsDba);

// SMARTY start

define('SMARTY_DIR','lib/smarty/');
require(SMARTY_DIR.'Smarty.class.php');
$smarty = new Smarty;

$globalsettings=$gls->getGlobalSettings();
$smarty->assign('globalsettings',$globalsettings);


// sessions

session_start();

if (isset($_SESSION['finf'])){
  if ($_GET['action']=='usetrans') {
    $gls->settranslation4user($_SESSION['finf']['userid'],$_GET['id']);
    $_GET['action']='translations';
  }
  $smarty->assign_by_ref('ct',$glsDba->gettranslation($gls->gettranslationindex4user($_SESSION['finf']['userid'])));
}else{
  $smarty->assign_by_ref('ct',$glsDba->gettranslation(1));
}

$res=$glsDba->getHosts();
$hosts=array();
foreach ($res as $k => $v) {
  $hosts[$v['id']]=$v;
}

$smarty->assign('hosts',$hosts);


if ($_GET['action']=='logout'){
  if (empty($_SESSION['finf']['host_id'])) {
    if ((isset($_SESSION['finf']))){
      $sessions = $glsDba->getRemoteSessions($_SESSION['finf']['userid']);
      foreach($sessions as $s) {
        $gls->remoteCall($s['host_id'], "logout", array($s['host_id']));
        $glsDba->endRemoteSession($s['id']);
      }
    }
  }elseif (isset($_SESSION['minf'])){
  }else{
    $gls->remoteCall($_SESSION['finf']['host_id'], "bookmark_closeRemoteSession", array($_SESSION['finf']['pseudo']));
  }
  $_SESSION = array();
  session_destroy();
  $_GET['action']='';
}

?>