<?php

/**
 * @superglob $_GET $_SESSION
 *
 */
class ISession {

    /**
     * @access	public
     * @param	array	$param
     * @return	void
     */
	function set($aParam=array()) {
		$aSaved = array();
		foreach ($aParam as $sName => $mValue) {
			$_SESSION[$sName] = $mValue;
			$aSaved[] = $sName;
		}
		ISession::_saved($aSaved);
	}

    /**
     * @access	public
     * @param	string	$name
     * @param	string	$def optional
     * @return	array
     */
	function &get($sName, $mDefault = '') {
		if (ISession::has($sName))
			return $_SESSION[$sName];
		else
			return $mDefault;
	}

    /**
     * @access	private
     * @param	string	$name
     * @return	boolean
     */
	function has($sName) {
		return @in_array($sName, (array) $_GET[ISession::name()]);
	}

    /**
     * @access	public
     * @return	array
     */
	function getParam() {
		return array(ISession::name() => ISession::_saved());
	}

    /**
     * @access	private
     * @param	array	$saved optional
     * @return	array
     */
	function _saved($saved = null) {
		static $aSaved = array();
		if ($saved !== null)
			$aSaved = $saved;
		return $aSaved;
	}

    /**
     * @access	public
     * @return	string
     */
	function name() {
		return '_saved';
	}

}

?>
