<?php
/**
 **/

class Object_Request {

	function Object_Request() {
	}

	/**
	 * @access	public
	 *
	 * @param	array	$aPparam
	 * @param	array	$aNames
	 *
	 * @return	boolean	true
	 * @return	array	aErrors
	 */
	function putCreateParam($aParam = array(), $aNames = array()) {

		$aErrors = array();

		foreach ($aNames as $sParamName => $sMethodName) {
			if (! array_key_exists($sParamName, $aParam))
				$aParam[$sParamName] = null;

			$sMethod = 'put'.$sMethodName;
			if (($oError = & $this->$sMethod($aParam[$sParamName])) !== true)
				$aErrors[$sParamName] = $oError;
		}

		return (0 == sizeof($aErrors))? true : $aErrors;
	}

	function _validation(& $mValue, $aDataType) {
		require_once 'common/Validator.class.php';
		$oValidator = & Validator::singleton();
		if (! $oValidator->isValid($mValue, $aDataType)) {
			require_once 'common/Error.class.php';
			return new Error('error.' . $oValidator->getErrorCode());
		}
		return true;
	}

}

?>
